'use strict';if(window.webhelp===undefined)window.webhelp={};window.webhelp.toc=[{"title":"Ultra Cloud Core Subscriber Microservices Infrastructure - Overview","url":"g_part_SMI_Overview.html","description":"This part provides an overview of Ultra Cloud Core Subscriber Microservices Infrastructure (SMI).","children":[{"title":"Ultra Cloud Core Subscriber Microservices Infrastructure - Overview","url":"g_Subscriber_Microservices_Infrastructure_Overview.html","children":[{"title":"Ultra Cloud Core Subscriber Microservices Infrastructure Overview","url":"r_ultra_cloud_core_subscriber_microservices_interface_overview.html","description":"The Ultra Cloud Core Subscriber Microservices Infrastructure (SMI) provides a run time environment for deploying and managing Cisco\u0027s cloud-native network functions (cNFs), also referred to as applic","children":[{"title":"SMI on Bare Metal - Overview","url":"r_cndp_smi-bm_overview.html","description":"The SMI extends the deployment of Virtual Network Functions (VNF) and Cloud-Native Network Functions (CNFs) to bare metal servers (Cisco UCS-C servers) with the current release. Also, the SMI support"}]},{"title":"Subscriber Microservices Infrastructure Architecture","url":"r_subscriber_microservices_infrastructure_architecture.html","description":"The Ultra Cloud Core Subscriber Microservices Infrastructure (SMI) is a layered stack of cloud technologies that enable the rapid deployment of, and seamless life cycle operations for microservices-b","children":[{"title":"SMI Bare Metal - Architecture","url":"r_cndp_smi-bm_arch.html","description":"The SMI enables the deployment of Cluster Manager on Bare Metal servers. The following are some of the salient features of SMI Bare Metal architecture: Enables all the application containers to run o","children":[{"title":"SMI Bare Metal Deployment Architecture","url":"r_cndp_smi_bm_deploy_arch.html","description":"The SMI Bare Metal deployment architecture comprises of a two node Management Cluster. The two node cluster comprises of a SMI CEE (for monitoring) and SMI Cluster Manager running on it. Also, the tw"}]},{"title":"K8s Cluster Manager","url":"r_k8s_cluster_managerdeployer.html","description":"SMI operational components and microservices are deployed on VMs. (Refer to SMI VM Quantities and Sizing for details.) The SMI Cluster Manager (CM) is also deployed as a VM and is used to bootstrap t"},{"title":"K8s Resource Management","url":"r_k8s_resource_management.html","description":"SMI leverages the native resource reservation controls in K8s. K8s provides a framework to intelligently place pods on the correct server, VM, and/or node, and assign the appropriate system resources"},{"title":"Common Execution Environment","url":"r_common_execution_environment.html","description":"SMI\u0027s Common Execution Environment (CEE) provides OAM capabilities for deployed NFs. The CEE captures information (key metrics) from the NFs in a centralized way for engineers to debug and troublesho","children":[{"title":"Monitoring and Debugging","url":"r_monitoring_and_debugging.html","description":"The SMI platform provides multiple layers of health checking: Deployment health checks \u2014 These confirm that the infrastructure meets the application requirements.NOTE: Some deployment health checks ("},{"title":"Tracing","url":"r_tracing.html","description":"Cisco\u0027s cloud native based applications are designed to tag messages in a method compatible with OpenTracing project guidelines. SMI provides tooling and centralized storage for continuous tracings o"}]},{"title":"Ops Center","url":"r_ops_center.html","description":"Cisco\u0027s cNFs consist of Helm charts (applications and charts) and Docker files (images). To simplify and establish consistent operations across the various charts and images that comprise each NF, ea"},{"title":"Service Mesh","url":"r_intelligent_service_mesh.html","description":"The Service Mesh enabled through SMI connects and manages messages between all pods and services in the cluster. Using this service mesh, traffic is steered within the cluster to finely control which"},{"title":"Common Data Layer","url":"r_common_data_layer.html","description":"The Common Data Layer (CDL) component enabled through SMI provides the clean separation of stateful (also known as backing services) and stateless services (e.g. application services). CDL provides s"},{"title":"SMI VM Quantities and Sizing","url":"r_smi_vm_quantities_and_sizing.html","description":"Table 1 and Table 2 provide SMI VM quantity and sizing recommendations. NOTE: Individual NFs are deployed as K8s workers through SMI. They each have their own VM recommendations. Refer to the NF docu"},{"title":"SMI Bare Metal Hardware Requirements","url":"r_cndp_smi-bm_hardware_requirements.html","description":"The following table lists the minimum Bare Metal requirements for deploying SMI Cluster Manager. SMI Bare Metal Hardware Requirements (UCS-C Series) Item Requirements Server Cisco UCS C220 M5/M6 Netw"}]},{"title":"Redundancy","url":"r_redundancy.html","description":"SMI enables redundancy at multiple levels: Network \u2014 This is provided by the infrastructure and hardware with dual networking paths, dual NICs, and interface bonding. It is also provided by the SMI p"},{"title":"Security","url":"r_security.html","description":"SMI provides several secure methods for accessing, managing, and configuring the system, all based on APIs, including the Ops Center CLI, and NETCONF/RESTCONF interfaces. Monitoring interfaces such a"}]}]},{"title":"Subscriber Microservices Infrastructure: Deployment Guide","url":"g_part_smi-deployment.html","description":"This part describes the procedures involved in deploying the SMI Cluster Manager.","children":[{"title":"Deployment Workflow","url":"r_deployment_work_flow.html","description":"The SMI Cluster Manager deployment workflow consists of: Deploying the Inception Server Deploying the Cluster Manager Deploying the Kubernetes Cluster Deploying Cloud Network Functions (CNFs) Deployi"},{"title":"Introduction to Deploying SMI Cluster Manager","url":"r_intro_SMI_CM.html","description":"This chapter provides information about deploying the SMI Cluster Manager on a High Availability (HA) and All-In-One (AIO) mode using the Inception Server. The Inception Server is a version of Cluste"},{"title":"SMI Base Image ISO","url":"r_SMI_base_image_ISO.html","description":"The SMI uses a generic installable SMI Base Image ISO (Virtual CD-ROM) for installing the SMI Base image. Currently, the SMI uses a hardened Base OS as the Base image. This ISO image replaces the exi","children":[{"title":"Inception Server Deployment Sequence","url":"r_call_flow_SMI_base_image_ISO.html","description":"The following call flow depicts the installation of the Inception Server using SMI Base Image ISO: Inception Server Deployment Sequence Inception Server Deployment Sequence Steps Description 1 User c"},{"title":"Installing the Base Image on Bare Metal","url":"r_Installing_the_Base_Image.html","description":"The SMI Cluster Manager uses a Base OS as its base image. You can install the base image through an ISO file. Optionally, you can provide the network and user configuration parameters through a cloud","children":[{"title":"Prerequisites","url":"r_prerequisites_for_SMI_base_ISO_on_BM.html","description":"The following are the prerequisites for installing the SMI base image: Download the SMI base image ISO file from the repository. (Optional) Create a NoCloud ISO to provide cloud-init data to the mach"},{"title":"SMI Base Image Installation on Bare Metal","url":"r_Installing_the_Base_Image_on_Bare_Metal.html","description":"To install the SMI base image on Bare Metal: Upload the SMI base image ISO on a HTTP/HTTPS or Network File System (NFS) server. Ensure that the HTTP/HTTPS server is reachable by the bare metal server"}]},{"title":"Installing the Base Image on VMware","url":"r_installing_the_base_image_on_vmware.html","description":"The SMI Cluster Manager uses a Base OS as its base image. You can install the base image through an ISO file. Optionally, you can provide the network and user configuration parameters through a cloud","children":[{"title":"Prerequisites","url":"r_prerequisties.html","description":"With the current release, the SMI supports VMware vCenter version 7.0. The previous vCenter versions (6.5 and 6.7) are deprecated in the current release. These versions will not be supported in the f","children":[{"title":"Minimum Hardware Requirements - VMware","url":"r_minimum_hardware_req_vmware_smi_base_image_iso.html","description":"The following are the minimum hardware requirements for deploying the SMI Base Image ISO on VMware: CPU: 8 vCPUs Memory: 24 GB Storage: 200 GB NIC interfaces: The number NIC interfaces required is ba","children":[]}]},{"title":"SMI Base Image Installation on VMware","url":"r_SMI_base_image_installation_on_vmware.html","description":"To install the SMI base image on VMware: Upload the SMI base image ISO into the datastore manually. Create a new folder to store these images separately. (Optional) Upload the NoCloud cloud-init ISO "}]},{"title":"Installing the Base Image on OpenStack","url":"r_installing_the_base_image_openstack.html","description":"The SMI Cluster Manager uses a Base OS as its base image. You can install the base image through an ISO file. Optionally, you can provide the network and user configuration parameters through a cloud","children":[{"title":"Prerequisites","url":"r_prerequisites_openstack.html","description":"The following are the prerequisites for installing the SMI base image (in all the platforms): Download the SMI base image ISO file from the repository. (Optional) Create a NoCloud ISO to provide clou"},{"title":"SMI Base Image Installation on OpenStack","url":"r_installing_the_base_image_on_Openstack.html","description":"To install the Base Image on OpenStack: Log in to Horizon. Navigate to Create Image page and fill in the following image details: Image Name - Enter a name for the image. Image Description (Optional)"}]}]},{"title":"Host OS User Password Policy","url":"r_host-os-user-pwd-policy.html","description":"You can configure a password policy for different user accounts on the host OS. Use the following command to set a password policy: $ cat /etc/security/pwquality.conf Based on the policy, a password "},{"title":"Introduction to Inception Server","url":"r_Deploying_Cluster_Manager_Inception.html","description":"The Inception Server is a replacement to the K3s based VM Cluster Manager. You can use the Inception Server to deploy the SMI Cluster Manager in HA or AIO mode. The Inception Server runs on a Base OS","children":[{"title":"Installing the Inception Server on smi-install-disk.iso","url":"r_installing_inception_server.html","description":"This section describes the procedures involved in deploying the Inception Server on the host machine, which has the Base OS installed. The procedure to deploy the Inception Server on a host machine w","children":[{"title":"Prerequisites","url":"r_prerequisites.html","description":"The following are the prerequisites for deploying the Inception Server: Download the SMI Cluster Deployer tarball from the repository. The tarball includes the following software packages: Docker Doc"},{"title":"Configuring User and Network Parameters","url":"r_User_and_Network_Configurations.html","description":"This section describes the procedures involved in configuring the user and network parameters when Cloud-init ISO not available. To configure SSH access: Access the console. Login with the default cl"},{"title":"Deploying the Inception Server","url":"r_deploying_inception_server.html","description":"To deploy the Inception Server, use the following configuration: Login to the host, which has the Base OS installed. Create a temporary folder to store the downloaded offline SMI Cluster Manager prod"}]},{"title":"Installing the Inception Server using Ubuntu 20.04 LTS","url":"r_host-server-maintenance-using-ubuntu.html","description":"Ubuntu 20.04 LTS can be used as a replacement for the smi-install-disk.iso image to simplify the maintenance of the host server running the Inception Deployer. Users are allowed to install their own ","children":[{"title":"Prerequisites","url":"r_prerequisites_2_3_4_5_6.html","description":"The following are the prerequisites for installing the Ubuntu server: ubuntu-20.04.6-live-server-amd64.iso (downloaded from ) VMware vSphere Basic VM sizing recommendations: 8 vCPU 32 GB memory 200 G"},{"title":"Installing Ubuntu","url":"r_installing-ubuntu.html","description":"To install Ubuntu 20.04, use the following procedure: Create a VM using ubuntu-20.04.6-live-server-amd64.iso. Create an ext4 disk partition named /tmp with 20 GB size. The smi-base-iso creates this p"}]},{"title":"Upgrading the Inception Server","url":"r_upgrading_the_inception_server.html","description":"To upgrade the Inception Server, use the following configuration: Login to the host, which has the Base OS installed. Navigate to the /data/offline-cm folder. The offline-cm folder was created while "},{"title":"Sample First Boot Configuration File","url":"r_sample_first_boot_config_file.html","description":"The following is a sample cluster-config.conf file used for deploying the Inception server on Bare Metal (UCS) servers. software cnf <software_version> #For example, cm-2020-02-0-i05 url <repo_url> u"},{"title":"Parallel Cluster Sync for Multiple Clusters","url":"r_parallel-cluster-sync-for-multiple-clusters.html","description":"SMI supports parallel cluster sync triggered from the same inception deployer or cluster manager. This functionality is currently supported only on Bare Metal and not fully supported on VMware. The f"}]},{"title":"Configuring Hostname and URL-based Routing for Ingress","url":"r-configuring-hostname-and-url-based-routing-for-ingress.html","description":"New section for SMI-3518This section describes how to use the Fully Qualified Domain Names (FQDN) and path-based URL routing to connect to an ops-center. The hostname and url path-based routing for t"},{"title":"VIP Configuration Enhancements","url":"r-vip-configuration-enhancements.html","description":"Multiple virtual IP (VIP) groups can be configured for use by the applications being deployed in the K8s cluster. SMI\u2019s cluster deployer logic has been enhanced to check if any IPv4 or IPv6 VIP addre"},{"title":"Splitting Master and Additional Master VIPs into Separate VRRPs","url":"support-splitting-and-additional-master-vips-into-separate-vrrps.html","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"The CNDP allows you to configure an internal and external VIP as part of the cluster deployment. K8s uses the internal VIP while the ingress uses the external VIP to allow access to management interf"},{"title":"Feature Configuration","url":"r_feature-configuration.html","description":"To enable this feature, use the following configuration: configuration separate-master-vip-vrrps true You must configure k8s additional-master-ip for control plane nodes with the local external IP of","children":[{"title":"Limitations","url":"r_limitations.html","description":"This feature applies only to CNDP-managed master VIPs. It is not applicable for the additional VIPs. You must enable this feature in a separate activity after upgrading the CM nodes and the cluster w"}]},{"title":"Example Configuration","url":"r_example-configuration.html","description":"addons ingress bind-ip-address 10.1.15.66 addons ingress bind-ip-address-internal 10.192.2.1 configuration master-virtual-ip 10.192.2.1 configuration master-virtual-ip-cidr 24 configuration master-vi"}]},{"title":"SMI Cluster Manager in High Availability","url":"r_cluster_manager_in_HA.html","description":"The SMI Cluster Manager supports an active and standby High Availability (HA) model, which consists of two Bare Metal nodes. One node runs as Active and the other one runs as Standby node. The SMI Cl","children":[{"title":"Fail-over and Split Brain Policies","url":"r_fail_over_and_split_brain.html","description":"The SMI Cluster Manager implements the following policies during fail-over and split brain scenarios. Fail-Over Policy During a fail-over, the active node shuts down all the K8s and Docker services. "},{"title":"Cluster Manager Internal Network for HA Communications","url":"r-cluster-manager-for-internal-network-ha-communications.html","description":"Earlier, SMI releases used the externally routable ssh-ip address to configure keepalived and DRBD communications between the active and standby CM HA nodes. This model left potential for a split-bra"},{"title":"Modifications in the Data Model","url":"r_modifications_in_data_model.html","description":"You must specify the Active and Standby node during the configuration explicitly because of the asymmetric HA configuration: Active Node - You must use the control plane node as the Active node. Usin"},{"title":"Deploying the SMI Cluster Manager in High Availability","url":"r_deploying_cluster_manager_in_HA.html","description":"You can deploy the SMI Cluster Manager on a active and standby High Availability (HA) model. For more information on SMI Cluster Manager HA model, see Cluster Manager in High Availability section.","children":[{"title":"Prerequisites","url":"r_prerequisites_2_3_4_5.html","description":"The following are the prerequisites for deploying the SMI Cluster Manager: An Inception Deployer that has deployed the Cluster Manager. The SMI Cluster Manager that has deployed the CEE cluster.","children":[{"title":"Minimum Hardware Requirements - Bare Metal","url":"r_hardware_requirements_bare_metal.html","description":"The minimum hardware requirements for deploying the SMI Cluster Manager on Bare Metal are: Minimum Hardware Requirements (UCS-C Series) Deployment Model Nodes Server Type Networking NIC Cores Per Soc"},{"title":"Supported Configurations - VMware","url":"r_supported_vm_config.html","description":"The SMI Cluster Manager supports the following VM configurations: Individual NFs are deployed as K8s workers through SMI. They each have their own VM recommendations. Refer to the NF documentation fo"}]},{"title":"Deploying the Cluster Manager in HA","url":"r_deploying_the_cluster_manager_in_HA_mode.html","description":"To deploy the SMI Cluster Manager in HA mode, use the following configuration: Login to the Inception Server CLI and enter the configuration mode Add the SMI Cluster Manager HA configuration to deplo"}]},{"title":"Upgrading SMI Cluster Manager in HA","url":"r_upgrading_the_SMI_CM_in_HA.html","description":"The SMI Cluster Manager HA upgrade involves the following process: adding a new software definition, updating the repository and synchronizing the cluster to apply the changes. However, you can upgra"},{"title":"Sample High Availability Configurations","url":"r_sample_HA_config.html","description":"This section provides a sample SMI Cluster Manager HA configuration with an Active and Standby nodes. The following parameters are used in this HA configuration: Active Node Host Name: ha-active Stan","children":[{"title":"Sample Cluster Manager HA Configuration - Bare Metal","url":"r_sample_CM_HA_bare_metal_config.html","description":"This section shows sample configurations to set up a HA Cluster Manager, which defines two HA nodes (Active and Standby) on bare metal servers. Cisco UCS Server software cnf <software_version> #For e"},{"title":"Sample Cluster Manager HA Configuration - VMware","url":"r_sample_CM_HA_vmware_config.html","description":"The following is a sample HA configuration, which defines two HA nodes (Active and Standby) for VMware environments: clusters <cluster_name> # associating an existing vcenter environment environment "},{"title":"Sample Cluster Manager HA Configuration - OpenStack","url":"r_sample_CM_HA_Openstack_config.html","description":"The following is a sample HA configuration, which defines two HA nodes (Active and Standby) for OpenStack environments: software cnf <software_version> #For example, cm-2020-02-0-i05 url <repo_url> u"}]}]},{"title":"Dual Stack Support","url":"r-dual-stack-support.html","description":"Dual stack enables networking devices to be configured with both IPv4 and IPv6 addresses. SMI supports certain subnets to be configured with dual stack within the remote Kubernetes cluster and the CM","children":[{"title":"Dual Stack Support for Remote Kubernetes and CM HA","url":"r-dual-stack-support-for-remote-kubernetes-and-cm-ha.html","description":"New section for SMI-2407The host and the remote Kubernetes can be configured with the IPv6 address, by setting the ipv6-mode to dual-stack in the configuration file. This section provides sample conf"}]},{"title":"SMI Cluster Manager in All-In-One Mode","url":"r_cluster_manager_in_AIO.html","description":"This section provides information about deploying the SMI Cluster Manager in All-In-One (AIO).","children":[{"title":"Prerequisites","url":"r_prerequisites_2_3_4_5_2.html","description":"The following are the prerequisites for deploying the SMI Cluster Manager: An Inception Deployer that has deployed the Cluster Manager. The SMI Cluster Manager that has deployed the CEE cluster.","children":[{"title":"Minimum Hardware Requirements - Bare Metal","url":"r_mim_hardware_req_bare_metal_AIO.html","description":"The minimum hardware requirements for deploying the SMI Cluster Manager on Bare Metal are: Minimum Hardware Requirements - Bare Metal Deployment Model Nodes Server Type Networking NIC Cores Per Socke"},{"title":"Supported Configurations - VMware","url":"r_supported_vm_config_2.html","description":"The SMI Cluster Manager supports the following VM configurations: Individual NFs are deployed as K8s workers through SMI. They each have their own VM recommendations. Refer to the NF documentation fo"}]},{"title":"Deploying the SMI Cluster Manager in AIl-In-One Mode","url":"r_deploying_SMI_CM_AIO_mode.html","description":"You can deploy the SMI Cluster Manager using the Inception Server on AIO mode. To deploy the SMI Cluster Manager: Login to the Inception Server and enter the configuration mode. Add the configuration"},{"title":"Sample Cluster Manager AIO Configuration - Bare Metal","url":"r_sample_AIO_config_Bare_metal.html","description":"This section shows sample configurations to set up a single node Cluster Manager on bare metal servers. Cisco UCS Server software cnf <software_version> #For example, cm-2020-02-0-i05 url <repo_url> "},{"title":"Sample Cluster Manager AIO Configuration - VMware","url":"r_sample_AIO_config_vmware.html","description":"The following is a sample configuration for a single node Cluster Manager on VMware vCenter: clusters <cluster_name> # associating an existing vcenter environment environment <vcenter_environment> #E"},{"title":"Sample Cluster Manager AIO Configuration - OpenStack","url":"r_sample_AIO_config_openstack.html","description":"The following is a sample configuration for a single node Cluster Manager on OpenStack environment: software cnf <software_version> #For example, cm-2020-02-0-i05 url <repo_url> user <username> passw"}]},{"title":"Cluster Manager Pods","url":"r_pods_2.html","description":"A pod is a process that runs on your Kubernetes cluster. Pod encapsulates a granular unit that is known as a container. A pod contains one or multiple containers. Kubernetes deploys one or multiple p"}]},{"title":"Subscriber Microservices Infrastructure: Operations Guide","url":"g_part_smi_operations.html","description":"This part describes the procedures involved in operating the SMI Cluster Manager.","children":[{"title":"SMI Cluster Manager Operations","url":"g_smi_cluster_deployer_operations.html","children":[{"title":"Overview","url":"r_overview_2.html","description":"The Subscriber Microservices Infrastructure (SMI) Kubernetes (K8s) Cluster Manager allows you to deploy the virtual machines (VMs) \u2013 provisioned through the vCenter \u2013 on your VMware environment. You ","children":[{"title":"Sync API","url":"r_sync_api.html","description":"The Sync API is responsible for deploying the VMs, provisioning the base OS, applications, and application host OS. It also provisions the K8s and add-ons (associated with K8s) in both the VMware and"},{"title":"Offline Images","url":"r_offline_images.html","description":"All the applications (5G and Cisco Cable) based on the SMI framework are provided as helm charts (templating for K8s) and docker images. The Helm charts provide the metadata and docker images provide"},{"title":"Command Line Interface","url":"r_command_line_interface_2.html","description":"The SMI K8s Cluster Manager Command Line Interface (CLI) consists of two major components: Environment and Clusters. Environment \u2013 The environment defines the vCenter environment to be used. It has t"}]},{"title":"Operating the SMI Cluster Manager on Bare Metal","url":"r_Operating_Cluster_Manager_on_CNDP.html","description":"The SMI Cluster Manager manages the configuration and life-cycle of the Kubernetes Cluster and the VNF Nodes (UPF) deployed on Bare Metal servers. The subsequent sections describe the operations invo","children":[{"title":"Deploying Remote Clusters","url":"r_deploying_remote_clusters.html","description":"This section describes the procedure to deploy a remote Kubernetes and UPF cluster using the SMI Cluster Manager on Cisco UCS servers.","children":[{"title":"Deploying Kubernetes Cluster","url":"r_Deploying_Kuernetes_Cluster.html","description":"You can deploy a Kubernetes Cluster when a Cluster Manager (HA or AIO or Inception) is already available. To deploy a Kubernetes Cluster: Setup the cluster configuration. The following is a sample UC"},{"title":"Deploying Remote UPF Clusters","url":"r_deploying_remote_upf_clusters.html","description":"The SMI Cluster Manager uses the Kernel Based Virtual Machine (KVM) to deploy the User Plane Function (UPF) on Bare Metal Servers. The subsequent sections describe the procedures involved in installi","children":[{"title":"Installing Kernel Based Virtual Machine and User Plane VM","url":"r_Installing_Kernel_Based_Virtual_Machine_and_User_Plane_VM.html","description":"The SMI Cluster Manager utilizes the Kernel Based Virtualization (KVM) \u2013 a virtualization technology \u2013 to deploy the User Plane Function (UPF) VMs. To deploy the KVM and UPF: Setup the KVM and UPF co"},{"title":"Upgrading the UPF Clusters","url":"r_upgrading_UPF_clusters.html","description":"You can upgrade the UPF Clusters using the SMI Cluster Manager. To upgrade, use the following configurations: Login to the Inception Cluster Manager CLI and enter the Global Configuration mode. To up"},{"title":"Deploying the CEE Clusters","url":"r_deploying_the_cee_clusters.html","description":"You can deploy the CEE Clusters using the SMI Cluster Manager. To deploy a CEE Cluster, use the following configurations: From the SMI Cluster Manager perspective, the product refers to Common Execut"},{"title":"Upgrading the CEE Clusters","url":"r_upgrading_the_CEE_clusters.html","description":"You can upgrade the CEE Clusters using the SMI Cluster Manager. To upgrade, use the following configurations: Login to the Inception Cluster Manager CLI and enter the Global Configuration mode. To up"}]}]},{"title":"Life Cycle Management of the Virtual Machines","url":"r_LCM_VM_UPF.html","description":"The SMI Cluster Manager supports the complete Life Cycle Management (LCM) of the deployed VMs \u2014 currently UPF. The different processes in the LCM of a VM includes: VM Provisioning VM Removal VM Recov","children":[{"title":"Provisioning the Virtual Machine","url":"r_UPF_VM_Provisioning.html","description":"Provisioning a Virtual Machine involves creating and configuring a VM based on the requirements. In Bare Metal deployments, the UPF VM is provisioned using the KVM technology. For more details on pro"},{"title":"Removing the Virtual Machine","url":"r_removing_UPF_VM.html","description":"You can remove the UPF VM through the KVM cluster from the ConfD CLI. To remove the UPF VM, use the following configuration: Login to the ConfD CLI Remove the VM using the following configuration clu"},{"title":"Recovering the Virtual Machine","url":"r_recovering_UPF_VM.html","description":"The staros_monitor service is responsible for monitoring the deployed UPF VMs. You can verify the status of the systemd service using the following command:systemctl status staros_monitor You must pi","children":[{"title":"Configuring the Virtual Machine Recovery","url":"r_configuring_VM_recovery.html","description":"To monitor the VMs locally, a bridge called kvm-monitoring is created locally. You can configure the local and VNFM IPs of the VM using the following command:node-defaults kvm monitoring local-ip-add"}]},{"title":"Adding and Removing UPF Nodes","url":"r_adding_removing_UPF_nodes.html","description":"You can add a new UPF node to the existing cluster when required. To add a new UPF node, see Installing the Kernel Based Virtual Machine and User Plane VM section. Similarly, you can remove an existi"},{"title":"Server RMAs","url":"r_server_RMAs.html","description":"For Return Material Authorization (RMA) servers, you can replace the old node and replace it with a new one. When the hardware is fixed, you can synchronize the cluster and deploy the VM. For more in"}]},{"title":"UCS Firmware Upgrade","url":"r_UCS_Firmware_upgrade.html","description":"The firmware upgrade process runs on the UCS server\u0027s Cisco Integrated Management Controller (CIMC). After triggering the upgrade, a synchronization process connects to the CIMC at regular (pre-confi","children":[{"title":"Updating the UCS Server Firmware","url":"r_updating_UCS_firmware.html","description":"The SMI Cluster Manager allows updating the UCS server firmware remotely or locally in a data center. This section describes the procedures involved in updating the UCS Server firmware using the SMI "},{"title":"Failure Scenarios","url":"r_failure_Scenarios.html","description":"The UCS firmware upgrade process may fail for multiple reasons. The following are some of the most common reasons: Hardware Issues - Faulty components, power, and cabling issues. It most often requir"},{"title":"Failure Impact","url":"r_failure_impact.html","description":"The impact of the firmware upgrade failure falls into the following three categories: Non-Service Impacting - The server continues to work. This is the most common behavior. The reason for the failur"},{"title":"Troubleshooting","url":"r_troubleshooting.html","description":"If one or multiple servers fail to upgrade the firmware, you must follow these steps to isolate and identify the origin or root cause of the issue: Verify the output of the sync process. It contains "}]},{"title":"SMI Cluster RMA","url":"r_SMI_CM_RMA.html","description":"This section describes procedures involved in replacing a Bare Metal node within a SMI Cluster in the event of node failure or planned maintenance. The NSO must subscribe to the notification stream a","children":[{"title":"Prerequisites for RMA Process","url":"r_node-monitor-pod-shuts-rma-drain_CSCwa04474.html","description":"For GR deployment, the node-monitor pods starts automatically. During RMA procedure, the node-monitor pod automatically shutdown the rack if multi-compute failure is detected when the node is drain a"},{"title":"Unified RMA Procedure for Planned and Failure Events on Bare Metal","url":"r_feature-description_2.html","description":"For the SMI version 2020.02.2.41 and later, the RMA (Return Merchandise Authorization) procedure for planned maintenance and any unplanned node failure events is unified for the SMI Bare Metal stacke","children":[{"title":"Unified RMA Procedure for the Control Plane and Worker Nodes","url":"r_unified-rma-master-node.html","description":"This section describes the unified RMA procedure applicable to the following scenarios: Replace a working control plane Bare Metal node or worker node for maintenance. Replace a failed Bare Metal con"}]},{"title":"SMI Bare Metal Stacked Cluster","url":"r_SMI_BM_Stacked_Cluster.html","description":"In SMI Bare Metal deployment, a stacked cluster is defined as a cluster containing three Bare Metal control plane nodes with a primary control plane, OAM, and other applications hosted on the same th","children":[{"title":"Control Plane Baremetal Node Failure - Unplanned","url":"r_master_baremetal_node_failure_unplanned.html","description":"This section describes the procedure to replace a failed primary Bare Metal control plane 1 node in a stacked cluster. When the primary control plane 1 Bare Metal node fails, the node status changes "},{"title":"Control Plane Bare Metal Node Maintenance - Planned","url":"r_master_baremetal_node_maintenance_planned.html","description":"This section describes the procedures involved in replacing a working primary control plane Bare Metal node for maintenance. To replace a primary control plane Bare Metal node for maintenance, use th"}]},{"title":"Stacked Cluster with Worker Nodes","url":"r_stacked_cluster_with_worker_nodes.html","description":"For scaling the NFs, you can add a number of worker nodes along with the stacked control plane nodes. After adding the worker nodes to the stacked control plane nodes, you can distribute the NFs to t","children":[{"title":"Worker Bare Metal Node Failure - Unplanned","url":"r_worker_baremetal_node_failure_unplanned.html","description":"This section describes the procedure to replace a failed primary Bare Metal worker node in a stacked cluster. When the primary worker Bare Metal node fails, the node status changes to NotReady. Verif"},{"title":"Worker Bare Metal Node Maintenance - Planned","url":"r_worker_baremetal_node_maintenance_planned.html","description":"This section describes the procedures involved in replacing a working primary worker Bare Metal node for maintenance. To replace a primary worker Bare Metal node for maintenance, use the following: D"}]},{"title":"KVM Bare Metal Node Failure","url":"r_KVM_bare_metal_node_failure.html","description":"For KVM Bare Metal node failures, you must replace the failed or faulty KVM Bare Metal node and run a cluster synchronization. When the cluster synchronizes successfully, the SMI Cluster Manager reta"},{"title":"Node Failures in SMI Cluster Manager HA","url":"r_node_failures_in_CM_HA.html","description":"Unlike a typical a Kubernetes cluster, the SMI Bare Metal HA consists of two AIO Bare Metal nodes running independently but synchronized in data using an underlying Distributed Replicated Block Devic","children":[{"title":"Active Bare Metal Node Failure - Unplanned","url":"r_active_baremetal_node_failure_uplanned.html","description":"When an Active node fails in a Cluster Manager HA model, the Standby node becomes the Active node and continues to upgrade the remote clusters or the NFs. To replace the failed Active node: Remove th"},{"title":"Active Bare Metal Maintenance - Planned","url":"r_active_baremetal_node_maintenance_planned.html","description":"This section describes the procedures involved in replacing an Active node for maintenance. To replace a an Active node for maintenance, use the following procedure: Shutdown the Active node. Upgrade"},{"title":"Standby Bare Metal Node Failure or Maintenance","url":"r_standby_baremetal_node_failure_or_maintenance.html","description":"This section describes the procedures involved in replacing a Standby node which has either failed (unplanned) or removed for maintenance (planned). To replace a Standby node, use the following: Shut"}]},{"title":"SMI Cluster Manager AIO Node Failure or Planned Maintenance","url":"r_SMI_CM_AIO_Planned_Unplanned.html","description":"When the SMI Cluster Manager is deployed in All-In-One (AIO) mode, the CEE replicates the data across all the three nodes (control plane, worker and etcd). Also, the SMI Cluster Manager AIO model doe"},{"title":"Disaster Recovery","url":"r_disaster_recovery.html","description":"This section describes the procedure to redeploy the SMI Cluster Manager HA, when both the Active and Standby nodes fail or when the entire site or cluster is down.","children":[{"title":"Active and Standby Node Failure - Unplanned","url":"r_active_and_standby_node_failure_unplanned.html","description":"When both the Active and Standby node fails in a SMI Cluster Manager HA model, you can redeploy the SMI Cluster Manager in HA mode using the Inception Server. To redeploy the SMI Cluster Manager HA u"},{"title":"Restoring an Entire Site or Cluster","url":"r_restoring_an_entire_site_or_cluster.html","description":"When an entire site or cluster is down, you can redeploy the SMI Cluster Manager HA with NFs, CEE and remote cluster configurations using the Inception Server. To restore an entire site or cluster, u"}]},{"title":"CEE Data Replication","url":"r_cee_data_replication.html","description":"The CEE replicates the data across all the three nodes (control plane, worker, and etcd). Also, the SMI Cluster Manager AIO model does not support the back up and recovery of operational data. Theref"},{"title":"Notifications","url":"r_notifications.html","description":"The SMI comes equipped with different notification streams to verify the event status (cluster or node synchronization) or synchronization state of the current cluster or nodes in it. The show notifi"}]},{"title":"Configurable Host Profile Support","url":"g_bios-support.html","description":"This section describes the procedure to configure BIOS using host profiles on Cisco UCS servers.","children":[{"title":"Adding a Host Profile","url":"r_add-host-profiles.html","description":"This section describes the sequence of operation about how to add a host-profile to the software configuration configured on the CM. To use host profiles, add the .tgz file to the software configurat"}]},{"title":"BIOS Settings","url":"r-bios-settings.html","description":"The BIOS profile allows access to all the settings on all the CIMC variants. The sample configuration below shows the default values when a host-profile is not configured for the node. You can create"},{"title":"Hyper Threading Support on KVM","url":"r-configurable-performance-parameters.html","description":"The Hyper Threading (HT) allows more than one thread to run on each core to enable more work in parallel. To enabled or disabled HT, see the BIOS SettingsBIOS Settings section. When HT is enabled on "},{"title":"CPU Isolation","url":"r_cpu-isolation-support.html","description":"Feature History Feature Name Release Information Feature Description CPU Isolation 2023.04 SMI provides a higher level of CPU isolation for VPP workers to support cnUPF. Using the host profile, SMI d","children":[{"title":"How it Works","url":"r_how-it-works_2_3.html","description":"CPU isolation utilizes a containerd Node Resource Interface (NRI) plugin (v0.3.0) that subscribes for pod or container lifecycle events. NRI is a common framework for plugging extensions into OCI-com"},{"title":"Sample Configuration","url":"r_sample-configuration.html","description":"CM calculates the CPU set of kubepods and passes it as the environment value \u0022CPUSET_KUBEPODS\u0022 to create a static pod for CPU isolator. To define isolcpu from host profile, the following is a sample "}]},{"title":"Single-Root Input/Output Virtualization","url":"g_sriov_support.html","children":[{"title":"Overview","url":"r_sriov_overview.html","description":"The Single Root I/O Virtualization (SR-IOV) specification is a Peripheral Component Interconnect (PCI) passthrough hardware standard that regulates the device assignment. The PCI passthrough natively","children":[{"title":"How it Works","url":"r_how_it_works.html","description":"The SMI on Bare Metal platform lets the NF (UPF) select the PCI passthrough or SR-IOV as a network resource management plugin. The PCI passthrough allows the NF to have an exclusive access to the the"}]},{"title":"Enabling Support for PCI Passthrough","url":"r_enabling_pci_passthrough.html","description":"This section describes how to enable a VM to support PCI Passthrough. If the VM uses the SR-IOV mechanism, then ensure that the VF number for the associated PF and MAC address is available. Use the f"}]},{"title":"IPSec Support for SMF N4 Interfaces","url":"g_ipsec-support-smf-n4.html","description":"SMI-6128","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"Revision Details Release Added support for the following functionality: IPSec Monitoring Configuring IPSec certificates under strongSwan configuration 2023.01.0 First introduced. 2020.02.2.47"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"This feature introduces strongSwan, a keying daemon, which uses the Internet Key Exchange (IKE) protocols, IKEv1 and IKEv2, to establish security associations (SA) between two peers in a network. Suc"},{"title":"Installing strongSwan","url":"r_setup.html","description":"This section describes how to install the strongSwan feature. Install strongSwan as an Add-on from the CM Use the following steps to install strongSwan as an add-on from the CM Ops-Center: Use the fo"}]}]},{"title":"Operating the SMI Cluster Manager on vCenter VMware","url":"r_operating_the_smi_cluster_deployer_on_vcenter_vmware.html","description":"This section describes how to instantiate the K8s Cluster on the SMI Cluster Manager in a VMware vSphere environment. The SMI Cluster Manager is the de-facto orchestrator for the K8s Cluster. It requ","children":[{"title":"Supported Configurations","url":"r_supported_configurations.html","description":"The SMI Cluster Manager supports the following three VM configurations: Functional Test HA CPU Cores Per Socket RAM Data Disk Home Disk Root Disk Control Plane 2 CPU 1 16 GB 20 GB 5 GB 100 GB ETCD 1 "},{"title":"Prerequisites","url":"r_prerequisites_2.html","description":"The prerequisites for instantiating the K8s Cluster on SMI Cluster Manager are: SMI Cluster Manager AIO. Local web server that hosts the products offline TAR ball version(s)."},{"title":"Requirements","url":"r_requirements_2_3.html","description":"SMI Cluster Manager (all versions are supported)."},{"title":"Components Used","url":"r_components_used.html","description":"The following component is used for deploying and upgrading the product in the offline environment: SMI Cluster Manager."},{"title":"Configuring the vCenter Environment","url":"r_configuring_the_vcenter_environment.html","description":"To configure the vCenter environment, use the following configuration: Configure the vCenter environment with the required configuration parameters through the SMI Cluster Manager CLI. A sample confi"},{"title":"Triggering the Cluster Synchronization","url":"r_triggering_the_cluster_synchronization.html","description":"You can trigger the cluster synchronization to complete the vCenter configuration. To synchronize the cluster, use the following configurations: Trigger the cluster synchronization. configure cluster"},{"title":"Upgrading Node-by-Node (OpenStack)","url":"r_upgrading_node-by-node.html","description":"You can upgrade nodes within a K8s cluster one at a time using the node-by-node upgrade process. But this upgrade process is limited only to the node level. You cannot run the cluster synchronization"}]},{"title":"Deploying and Upgrading the Products in Offline Environments","url":"r_deploying_and_upgrading_the_products_in_offline_environments.html","description":"Using the SMI Cluster Manager, you can download the product\u0027s offline TAR ball and the host its charts and corresponding images in the local registries. The SMI Cluster Manager supports the deploymen","children":[{"title":"Perquisites","url":"r_perquisites.html","description":"The prerequisites for deploying and upgrading the products in offline environments are: SMI Cluster Manager AIO. Local repositories that hosts the product offline TAR ball version(s)."},{"title":"Requirements","url":"r_requirements_1.html","description":"SMI Cluster Manager (all versions are supported)."},{"title":"Components Used","url":"r_components_used_1.html","description":"The following component is used to orchestrate the K8s Cluster and load the products: The SMI Cluster Manager."},{"title":"Deploying the Products in Offline Environments","url":"r_deploying_the_products_in_offline_environment.html","description":"This section describes the procedures involved in deploying the products in offline environment using the SMI Cluster Manager. From the SMI Cluster Manager perspective, the product refers to Common E","children":[{"title":"Deploying the Product","url":"r_deploying_the_product.html","description":"To deploy the product, perform the following: Use the following configuration to install the productconfigure software cnf software_name url HTTP_HTTPS_File_URL user username password password sha256"},{"title":"Verifying the Product Deployment","url":"r_verifying_product_deployment.html","description":"You can verify the status of the product deployment through the product CLI. To verify, use the following commands: Log in to the SMI product CLI. For example, CEE. Verify whether the charts are load"}]},{"title":"Upgrading the Products in Offline Environments","url":"r_upgrading_the_products_in_offline_environment.html","description":"Using the SMI Cluster Manager, you can upgrade the product\u0027s Ops Center and all the applications and services associated with it. This section describes the procedures involved in upgrading the produ","children":[{"title":"Upgrading the Product","url":"r_uprading_the_product.html","description":"To upgrade the product, perform the following: Download the latest TAR ball from the URL. software-packages download URL Example: SMI Cluster Manager# software-packages download http://<ipv4address>:"},{"title":"Verifying the Product Upgrade","url":"r_verifying_product_upgrade.html","description":"You can verify the status of the product upgrade through the product CLI. To verify, use the following commands: Log in to the SMI product CLI. For example, CEE. Verify whether the charts are loaded "}]},{"title":"Rollback to an Earlier Version","url":"r_rollback_to_an_earlier_version.html","description":"To rollback to an earlier version of the product, perform the following: Update the repository URL to point an earlier version of the product chart release to rollback the product. configure cluster "},{"title":"Viewing Pod Details","url":"r_viewing_pod_details.html","description":"You can view the details of the current pods through CEE Ops Center. To view the pod details, use the following command (in CEE Ops Center CLI): cluster pods instance_name pod_name detail cluster \u2013 S"}]},{"title":"Configuring the Local NTP Server with Authentication and Tracking","url":"r_configuring_local_ntp_server_with_authentication_and_tracking.html","description":"This section describes how to configure the local NTP server with authentication and tracking.","children":[{"title":"Configuring the Local NTP Server","url":"r_configuring_local_ntp_server.html","description":"On a network with multiple systems, it\u2019s always recommended to set up a single system as the NTP server for all the other local systems. The cloud providers follow the same model to run their own NTP"},{"title":"Configuring the Local NTP Server with Authentication","url":"r_configuring_local_ntp_server_with_authentication.html","description":"Generally, all cloud providers set up authentication for their local servers. To verify the authentication status of the local servers, use the chronyc command as follows: user1@kali-worker3:~$ sudo "}]},{"title":"K8s Certificates Auto-Renewal","url":"g_k8s-cert-auto-renewal.html","children":[{"title":"Certificate Management with Kubeadm","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"In kubeadm v1.21.0, client certificates generated by kubeadm expire after 1 year. The root certificates expires in 10 years. This feature enables monitoring and automatic renewal of kubeadm certifica"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5.html","description":"This section describes the sequence of operation for the feature. The certificates in CM managed K8s clusters, control planes, workers, and external ETCD nodes is checked every 12 hours. If any certi"}]},{"title":"Ops Center Converged Core Naming Convention Support","url":"g_ops-center-name-convention.html","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"The SMF Ops Center name has changed to \u0027cn\u0027 from \u0027SMF\u0027 to accommodate the Ops Centers for SMF, cnSGW, or a combination of both. This name change breaks backward compatibility for the pods with earlie"},{"title":"Configuring the Ops Center Converged Core Naming Convention Support","url":"r_configuring_2.html","description":"This section describes a sample CLI command configuration for configuring the feature. ops-centers smf data app-name-override cn repository-local smfi25 sync-default-repository true netconf-ip 209.16"}]},{"title":"Docker Subnet Override Support","url":"g_docker-subnet-override-support.html","description":"SMI-6748","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42.html","description":"By default, Docker uses the subnet range, 172.17.0.0/16 for container networking. If the same subnet range or an IP address from the range is already being used by some other resource in the same clu"},{"title":"Configuring the Docker Subnet Override","url":"r_clusters_configuration_docker-address-pools_command.html","description":"This section describes the configuration details for the Docker subnet override feature. Use the following command to configure the Docker subnet override feature. configuration docker-address-pools "}]},{"title":"IPSec Support for SMF N4 Interfaces","url":"g_ipsec-support-smf-n4_2.html","description":"SMI-6128","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_2.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_2.html","description":"Revision Details Release Added support for the following functionality: IPSec Monitoring Configuring IPSec certificates under strongSwan configuration 2023.01.0 First introduced. 2020.02.2.47"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_2.html","description":"This feature introduces strongSwan, a keying daemon, which uses the Internet Key Exchange (IKE) protocols, IKEv1 and IKEv2, to establish security associations (SA) between two peers in a network. Suc"},{"title":"Installing strongSwan","url":"r_setup_2_1.html","description":"This section describes how to install the strongSwan feature. Install strongSwan as an Add-on from the CM Use the following steps to install strongSwan as an add-on from the CM Ops-Center: Use the fo"}]},{"title":"Parallel Node Upgrade with Deployment Zone Strategy","url":"g_parallel-deployment-with-deployment-zone.html","description":"SMI-4908","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Revision Details Release First introduced. 2020.02.3.10"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44_45.html","description":"The current in-service upgrade strategy only supports upgrading one node at a time. For bigger clusters, more than six nodes, this upgrade strategy leads to longer upgrade periods, which mostly excee"},{"title":"How it Works","url":"r_how-it-works_2.html","description":"This section describes how the feature works. This feature enables users to group servers into upgrade groups, which are similar to availability zones. The nodes in each upgrade group are upgraded in"},{"title":"Configuring the Deployment Zone Strategy","url":"r_configuring_2_3.html","description":"This section describes how to configure the upgrade groups for different nodes. Use the following command to configure the upgrade groups for different nodes.configuration enable-upgrade-zones true u"}]},{"title":"Path Based Routing for Inception Server","url":"g_path-based-ingress-inception-server.html","description":"SMI-7132","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"Revision Details Release First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"This feature enables the SMI to support path based URL routing for its nginx routing (external traffic) in Inception VM from the traditional host based approach for the following ingress. cli.smi-dep"},{"title":"Configuring the Path Based Routing for Inception Server","url":"r_configuring_2_3_4.html","description":"This section describes how to enable the path based routing for Inception server.Use the following argument in the deploy script to enable path based ingress for RESTCONF and CLI:-i or --path-based-i"}]},{"title":"CA Signed Certificate for Path-based Ingress","url":"g_signed-cert-known-authority.html","description":"SMI-8406","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Revision Details Release Added support for provisioning CA certificates. 2023.01.0 First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12.html","description":"This feature enables you to configure certificates signed by your own CA or external CA for path-based ingress URLs. You can provision the certificates used for both REST APIs and K8s APIs through cl"},{"title":"Configuring Certificate for Path-based Ingress","url":"r_configuring.html","description":"This section describes how to configure TLS and CA certificates for path-based ingress. Configuring TLS Certificate Use the following procedure from cluster deployer to configure the certificates for"}]},{"title":"OnDemand LDAP Connectivity Check","url":"g_ondemand-ldap-connectivity-check.html","description":"SMI-8405","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"Revision Details Release First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"The SMI Ops Center provides an external authentication using LDAP support. The LDAP configuration can be configured in the SMI Ops Center using CLI or the RESTCONF APIs. This feature enables you to v"},{"title":"How it Works","url":"r_how-it-works.html","description":"This section describes how the feature works. How to Validate a New Configuration The steps to validate a new LDAP configuration are as follows. Login to the SMI Ops Center. Provide the LDAP new conf"}]},{"title":"Provisioning Local Users","url":"r_provisioning-local-users.html","description":"A new YANG model is introduced in SMI to support user management in compliance with Cisco Secure Development Life-cycle (CSDL) requirements. This new YANG model is applicable to SMI Cluster Manager a","children":[{"title":"User Management","url":"r_user_management.html","description":"This chapter describes how to create and manage local users using the Ops Center CLI (for both the products and SMI Cluster Manager Ops Center). Users with administrator privileges can add, modify, a","children":[{"title":"Adding a User","url":"r_adding_a_user.html","description":"To add a new user, use the following configurations: configure smiuser add-user username username password password exit Notes: smiuser add-user - Adds a new local user. username username - Specifies"},{"title":"Creating Unprivileged Users with SSH Key","url":"r_Creating_Unprivliged_users_SMI_2466.html","description":"The SMI Cluster Manager allows creating unprivileged users on cluster nodes with SSH key access. These users will remain even after the SMI Cluster Manager is upgraded. Also, the SMI Cluster Manager "},{"title":"Deleting a User","url":"r_deleting_a_user.html","description":"To delete a user, use the following configuration: configure smiuser delete-user username username exit smiuser delete-user - Deletes a local user. username username - Specifies the name of the user."},{"title":"Modifying the Password","url":"r_modifiying_an_password_for_self.html","description":"To modify the password (for self), use the following configuration:configure smiuser change-self-password current_password current password new_password new_password confirm_password new_password pas","children":[{"title":"Reset the Administrator Password","url":"r_reset_admin_password.html","description":"You can reset the administrator password if you have access to the K8s Cluster through kubectl command-line utility. To reset the administrator password: Enter the Ops Center Pod\u0027s EXEC mode. Use the"}]},{"title":"Modifying the Password for Other Users","url":"r_modifying_an_exisitng_password_for_other_users.html","description":"You can modify the password for other users using the following configuration: configure smiuser change-password username username current_password current_password new_password new_password confirm_"},{"title":"Updating the Password Length","url":"r_updating_the_password_length.html","description":"To update the length of the password, use the following configuration: configure smiuser update-password-length length number_of_characters exit smiuser update-password-length - Updates the length of"}]},{"title":"Group Management","url":"r_group_management.html","description":"This chapter describes how to create and manage user groups using the Ops Center CLI (of both the products and SMI Cluster Manager).","children":[{"title":"Adding a User Group","url":"r_adding_a_user_group.html","description":"To add a user group, use the following configuration: configure smiuser add-group groupname group_name exit smiuser add-group - Adds a new user group. groupname group_name - Specifies the name of the"},{"title":"Deleting a User Group","url":"r_deleting_a_user_group.html","description":"To delete a user group, use the following configuration:configure smiuser delete-group groupname group_name exit smiuser delete-group - Deletes a user group. groupname group_name - Specifies the name"},{"title":"Assigning an User to an User Group","url":"r_assigning_a_user_to_user_group.html","description":"To assign an user to an user group, use the following configuration: configure smiuser assign-user-group username username group group_name exit smiuser assign-user-group - Assigns an user to a user "},{"title":"Unassigning a User from a User Group","url":"r_unassiging_a_user_from_user_group.html","description":"To unassign a user from a user group, use the following configuration: configure smiuser unassign-user-group username username group group_name exit smiuser unassign-user-group - Removes an user from"}]}]},{"title":"Resiliency and Redundancy","url":"r_resiliency_and_redundancy.html","description":"For resiliency and redundancy, SMI utilizes Kubernetes version 1.16. For more information on the various Kubernetes components, see https://v1-16.docs.kubernetes.io/docs/concepts/overview/components/"},{"title":"SMI User and Audit Tracking Commands","url":"r_SMI_user_and_audit_tracking.html","description":"This section provides the list of user and audit tracking commands used in SMI. All these commands are executed on the node\u0027s terminal. Users with sudo access can execute these commands. You need the"},{"title":"TCP and UDP Open Ports","url":"r_tcp_udp_open_ports.html","description":"This section lists the TCP and UDP services and the corresponding open ports in the Kubernetes cluster nodes (control plane, worker and etcd). The following table lists the TCP and UDP services and t"},{"title":"Configurable Option to Control Ping Properties","url":"r-configurable-option-to-control-ping-properties.html","description":"SMI monitors applications such as the UPF that are deployed in KVM-based clusters. Monitoring, in part, is performed through pings sent at regular intervals to verify that the applications are alive."},{"title":"IFTASK Forwarder type","url":"r-iftask-forwarder-type.html","description":"In past releases, SMI provided support for the Vector Packet Processing (VPP) data plane development kit (DPDK) forwarder for use with StarOS-based applications such as the 5G User Plane Function. SM"},{"title":"Customer Data Recovery and Backup","url":"g_disaster-recovery-backup.html","description":"SMI-6529","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Since the server-less Amazon Aurora database (DB) service is not available across regions, it\u0027s necessary to have a disaster recovery process for customer data when the DB in an active region fails. "},{"title":"Data Recovery and Backup Procedure","url":"r_setup_2.html","description":"This section describes the customer data recovery and backup procedure. Prerequisite You must enable continuous automatic backup of ConfigDB Aurora DB on an active cluster. AWS Backup Overview Amazon"}]},{"title":"CIMC Certificate Renewal","url":"r_cimc-certificate-renewal.html","description":"The Cisco\u00AE Integrated Management Controller (IMC) is a baseboard management controller that provides embedded server management for Cisco UCS\u00AE C-Series Rack Servers and Cisco UCS S-Series Storage Ser"},{"title":"XFS File System","url":"r_xfs-file-system.html","description":"Feature History Feature Name Release Information Feature Description Configurable XFS File System 2023.04 SMI supports a new XFS filesystem to install the /data partition using Mongo DB for new deplo","children":[{"title":"How it Works","url":"r_how-it-works_2_3_4.html","description":"The following steps describe how to enable data partition using XFS: When partition is defined under os, run cluster-sync to create a file named smi-fs that contains the customized file system type i"},{"title":"Configuring XFS","url":"r_configuring-xfs.html","description":"To format OS partition with the XFS option, use the following sample configuration: Cluster Level: config clusters cluster_name node-defaults os partition smi-data fs-type { ext4 | xfs } exit Node Le"}]},{"title":"Cluster Access for OS Users","url":"r_configurable-cluster-access-for-os-users.html","description":"SMI supports the access of OS users to SMI cluster upon login using the configurable addons secure-access { enabled | disabled } CLI command in the Cluster Configuration mode. By default, this comman"}]},{"title":"SMI Cluster Level Metrics","url":"g_smi_cluster_level_metrics.html","children":[{"title":"Overview","url":"r_overview.html","description":"This chapter describes the Key Performance Indicators (KPIs) available to monitor and analyze the performance of SMI clusters and pods. For information on the open soure KPIs, see: Kube State Metrics"},{"title":"CPU Category","url":"r_cpu_category.html","description":"node_cpu_seconds_total Description: Seconds the cpus spent in each mode Sample Query: avg(irate(node_cpu_seconds_total{mode=~\\\u0022irq|softirq\\\u0022}[1m])) by (instance) * 100 Labels: Label: instance Label D"},{"title":"Disk Category","url":"r_disk_category.html","description":"node_disk_bytes_read Description: This metrics gives the total number of bytes read successfully. Sample Query: sum(irate(node_disk_bytes_read[1m])) by (instance) Labels: Label: instance Label Descri"},{"title":"File System Category","url":"r_file_system_category.html","description":"node_filesystem_free_bytes Description: This metrics gives the total number of bytes of the free disk space available on the instance Sample Query: sum(node_filesystem_free_bytes{mountpoint=\\\u0022/data\\\u0022"},{"title":"Load Category","url":"r_load_category.html","description":"node_load1 Description: This metrics gives the 1m load average. Metric Type: Gauge Data Type: Float Sample Query: avg(irate(node_load1[1m])) by (instance) Labels: Label: instance Label Description: t"},{"title":"Memory Category","url":"r_memory_category.html","description":"node_memory_MemFree_bytes Description: This metrics gives the total number of bytes of the free memory available on the node Sample Query: sum(node_memory_MemFree_bytes) by (instance) Labels: Label: "},{"title":"Network Category","url":"r_network_category.html","description":"node_network_receive_bytes_total Description: This metrics gives the total number of bytes received over the network device Sample Query: sum(irate(node_network_receive_bytes_total[1m])) by (device) "}]},{"title":"SMI Application Level Statistics and KPI","url":"g_smi_application_level_kpi.html","children":[{"title":"Subscriber Microservices Infrastructure Monitoring Key Performance Indicators","url":"r_subscriber_microservices_infrastructure_monitoring_key_performance_indicators.html","description":"This section describes the Key Performance Indicators (KPIs) that are useful for tracking the overall health of Subscriber Microservices Infrastructure (SMI).","children":[{"title":"Licensing KPIs","url":"r_licensing_kpis.html","description":"The following custom statistics and queries enable you to monitor the license count for a product\u0027s entitlement.","children":[{"title":"entitlement status","url":"r_entitlement_status.html","description":"Description Captures the current requested license counts for a product\u2019s entitlement. Metric Type Gauge Data Type Int Statistics entitlement_status{enforce_mode=\u0022Eval\u0022} NOTES: enforce_mode: The curr"}]},{"title":"System Status KPIs","url":"r_system_status_kpis.html","description":"The following custom statistics and queries enable you to monitor the status of the system.","children":[{"title":"system_mode","url":"r_system_mode.html","description":"Description Indicates the current mode the system is running on. Metric Type Gauge Data Type Int Statistics system_mode NOTES: 0: The system is in shutdown mode. 1: The system is running. 2: The syst"},{"title":"system_synch_running","url":"r_system_synch_running.html","description":"Description Specifies whether the system configuration synch process is running or not. Metric Type Gauge Data Type Int Statistics system_synch_running NOTES: 1: The system configuration sync process"},{"title":"system_running_percent","url":"r_system_running_percent.html","description":"Description Captures the percentage of the system currently in use. Metric Type Gauge Data Type Percent Statistics system_running_percent"}]},{"title":"System Configuration KPIs","url":"r_system_configuration_kpis.html","description":"The following custom statistics and queries enable you to monitor the system configuration.","children":[{"title":"system_configuration_backup_total","url":"r_system_configuration_backup_total.html","description":"Description Captures the total number of system configuration backups that are executed. Metric Type Counter Data Type Configuration Count Statistics irate(system_configuration_backup_total[1m]) NOTE"},{"title":"configuration_change_total","url":"r_configuration_change_total.html","description":"Description Captures the total number of configuration changes that are executed. Metric Type Counter Data Type Configuration Count Statistics sum(irate(configuration_change_total[1m]))"}]},{"title":"Prometheus KPIs","url":"r_prometheus_KPIs.html","description":"The following custom statistics and queries enable you to monitor the Prometheus KPIs.","children":[{"title":"helm_chart_deploy_success","url":"r_helm_chart_deploy_success.html","description":"Description Captures the helm chart deployment status. Metric Type Gauge Data Type Int Statistics chart=\u0022chart_name\u0022,release=\u0022release_name\u0022,chartVersion=\u0022chart_version\u0022 NOTES: 1: The helm chart deplo"},{"title":"system_synch_error","url":"r_system_synch_error.html","description":"Description Specifies the status of system synchronization. Metric Type Gauge Data Type Int Statistics system_synch_error NOTES: 1: The system synchronization is successful. 0: The system synchroniza"},{"title":"system_synch_pending","url":"r_system_synch_pending.html","description":"Description Specifies the status of the system synchronization progress. Metric Type Gauge Data Type Int Statistics system_synch_pending NOTES: 1: The system synchronization is pending. 0: The system"},{"title":"system_configuration_backup_pending","url":"r_system_synch_backup_pending.html","description":"Description Specifies the status of the DB to configmap backup progress. Metric Type Gauge Data Type Int Statistics system_synch_backup_pending NOTES: 1: The backup of DB to configmap is pending. 0: "},{"title":"helm_repository_status","url":"r_helm_repository_status.html","description":"Description Specifies the status of the helm repositories. Metric Type Gauge Data Type Int Statistics helm_repository_status NOTES: 1: The helm repository is reachable. 0: The helm repository is unre"}]},{"title":"Statistics from Open Source Collector Services","url":"r_statistics_from_open_source_collector_services.html","description":"SMI exposes statistics from the following Open Source Collector Services: Open Source Collector Services Collector Service Documentation kube-state-metrics https://github.com/kubernetes/kube-state-me"}]},{"title":"SMI Bulkstatistics Support","url":"r_smi_bulkstatistics_support.html","description":"SMI supports the configuration of bulkstatistics through the CEE Ops Center. The following bulkstatistics are considered KPIs. It is recommended that they be configured for effective monitoring of yo"},{"title":"Appendix A: Bulkstatistic KPI Details","url":"r_appendix_a_bulkstatistic_kpi_details.html","children":[{"title":"system-mode","url":"r_system-mode.html","description":"Query Expression: system_mode Namespace Specific: Y Label: Description: Indicates if the system is running or shutdown. 1 is running, 0 is shutdown. Unit: Boolean Type: Gauge Threshold of Normal: 1"},{"title":"system-running-percent","url":"r_system-running-percent.html","description":"Query Expression: system_running_percent Namespace Specific: Y Label: Description: This percent of the system pods that are running currently. Unit: Percentage Type: Gauge Threshold of Normal: 100"},{"title":"configuration-change-total","url":"r_configuration-change-total.html","description":"Query Expression: configuration_change_total Namespace Specific: Y Label: Description: This total number of configuration changes executed Unit: Changes Type: Counter Threshold of Normal: N/A"},{"title":"cpu-core-count","url":"r_cpu-core-count.html","description":"Query Expression: count(count(node_cpu_seconds_total) without (mode)) without (cpu) Namespace Specific: N Label: hostname Description: The total CPU cores on a given host. Unit: Cores Type: Gauge Thr"},{"title":"node-load-1","url":"r_node-load-1.html","description":"Query Expression: node_load1 Namespace Specific: N Label: hostname Description: The Linux load1 value. Unit: Load Type: Gauge Threshold of Normal: Ratio < 1 compared to cpu-core-count"},{"title":"node-load-5","url":"r_node-load-5.html","description":"Query Expression: node_load5 Namespace Specific: N Label: hostname Description: The Linux load5 value. Unit: Load Type: Gauge Threshold of Normal: Ratio < 1 compared to cpu-core-count"},{"title":"node-load-15","url":"r_node-load-15.html","description":"Query Expression: node_load15 Namespace Specific: N Label: hostname Description: The Linux load15 value. Unit: Load Type: Gauge Threshold of Normal: Ratio < 1 compared to cpu-core-count"},{"title":"node-disk-rate-read-bytes","url":"r_node-disk-rate-read-bytes.html","description":"Query Expression: sum(rate(node_disk_read_bytes_total[5m])) by (hostname) Namespace Specific: N Label: hostname Description: The disk read byte rate (5 minute rate) for a host. Unit: Bytes Type: Gaug"},{"title":"node-disk-write-read-bytes","url":"r_node-disk-write-read-bytes.html","description":"Query Expression: sum(rate(node_disk_written_bytes_total[5m])) by (hostname) Namespace Specific: N Label: hostname Description: The disk write byte rate (5 minute rate) for a host. Unit: Bytes Type: "},{"title":"node-memory-free-bytes","url":"r_node-memory-free-bytes.html","description":"Query Expression: node_memory_MemFree_bytes Namespace Specific: N Label: hostname Description: The bytes of free memory for a host Unit: Bytes Type: Gauge Threshold of Normal: < 1,000,000,000"},{"title":"network-transmit-bond-bytes-total","url":"r_network-transmit-bond-bytes-total.html","description":"Query Expression: sum(node_network_transmit_bytes_total{device= ~\u0022bond[0-9]\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The bytes transmitted over the \u0022bond\u0022 interfaces Unit: "},{"title":"network-receive-bond-bytes-total","url":"r_network-receive-bond-bytes-total.html","description":"Query Expression: sum(node_network_receive_bytes_total{device= ~\u0022bond[0-9]\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The bytes received over the \u0022bond\u0022 interfaces Unit: Byte"},{"title":"network-carrier-bond-changes-total","url":"r_network-carrier-bond-changes-total.html","description":"Query Expression: sum(node_network_carrier_changes_total{device= ~\u0022bond[0-9]\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The total instances of \u0022bond\u0022 carrier changes. Unit: C"},{"title":"network-transmit-ens-bytes-total","url":"r_network-transmit-ens-bytes-total.html","description":"Query Expression: sum(node_network_transmit_bytes_total{device= ~\u0022ens.*\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The bytes transmitted over the \u0022ens\u0022 interfaces Unit: Bytes"},{"title":"network-receive-ens-bytes-total","url":"r_network-receive-ens-bytes-total.html","description":"Query Expression: sum(node_network_receive_bytes_total{device=~\u0022ens.*\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The bytes received over the \u0022ens\u0022 interfaces Unit: Bytes Type"},{"title":"network-carrier-ens-changes-total","url":"r_network-carrier-ens-changes-total.html","description":"Query Expression: sum(node_network_carrier_changes_total{device= ~\u0022ens.*\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The total instances of \u0022ens\u0022 carrier changes. Unit: Change"},{"title":"k8s-pods-status","url":"r_k8s-pods-status.html","description":"Query Expression: sum(kube_pod_status_phase) by (phase) Namespace Specific: N Label: phase Description: The total kubernetes pods by phase. Phases are \u0022Running\u0022, \u0022Pending\u0022, \u0022Failed\u0022, \u0022Succeeded\u0022 Unit"},{"title":"active-alerts","url":"r_active-alerts.html","description":"Query Expression: sum(ALERTS{alertstate=\u0022firing\u0022}) by (alertname) Namespace Specific: N Label: alertname Description: The current active alerts. Unit: Alerts Type: Gauge Threshold of Normal:"},{"title":"filesystem-root-avail-bytes","url":"r_filesystem-root-avail-bytes.html","description":"Query Expression: avg(node_filesystem_avail_bytes{device=\u0022/dev/sda1\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The current available bytes for root disk Unit: Bytes Type: Gau"},{"title":"filesystem-data-avail-bytes","url":"r_filesystem-data-avail-bytes.html","description":"Query Expression: avg(node_filesystem_avail_bytes{device=\u0022/dev/vda1\u0022}) by (hostname) Namespace Specific: N Label: hostname Description: The current available bytes for data disk Unit: Bytes Type: Gau"},{"title":"kubelet-running-pod-count","url":"r_kubelet-running-pod-count.html","description":"Query Expression: kubelet_running_pod_count Namespace Specific: N Label: hostname Description: The current running pod count by host. Unit: Pods Type: Gauge Threshold of Normal:"},{"title":"entitlement_status","url":"r_entitlement_status_1.html","description":"Query Expression: entitlement_status{enforce_mode!=\u0022InCompliance\u0022} Namespace Specific: N Label: tag Description: The current out of compliance entitlements. Unit: Int32 Type: Gauge Threshold of Norma"},{"title":"memory-used","url":"r_memory-used.html","description":"Query Expression: sum(node_memory_MemTotal_bytes) by (hostname) - sum(node_memory_MemFree_bytes) by (hostname) Namespace Specific: N Label: hostname Description: The bytes of used memory on the host."},{"title":"cpu-idle","url":"r_cpu-idle.html","description":"Query Expression: avg(rate(node_cpu_seconds_total{mode=\\\u0022idle\\\u0022}[1m])) by (hostname)*100.00 Namespace Specific: N Label: hostname Description: The 1 minute average CPU idle time on the node. Unit: In"},{"title":"cpu-softirq","url":"r_cpu-softirq.html","description":"Query Expression: avg(rate(node_cpu_seconds_total{mode=\\\u0022softirq\\ \u0022}[1m])) by (hostname)*100.00 Namespace Specific: N Label: hostname Description: The 1 minute average CPU softirq time on the node. U"},{"title":"cpu-system","url":"r_cpu-system.html","description":"Query Expression: avg(rate(node_cpu_seconds_total{mode=\\\u0022system\\\u0022}[1m])) by (hostname)*100.00 Namespace Specific: N Label: hostname Description: The 1 minute average CPU system time on the node. Unit"},{"title":"cpu-iowait","url":"r_cpu-iowait.html","description":"Query Expression: avg(rate(node_cpu_seconds_total{mode=\\\u0022iowait\\\u0022}[1m])) by (hostname)*100.00 Namespace Specific: N Label: hostname Description: The 1 minute average CPU iowait time on the node. Unit"},{"title":"cpu-steal","url":"r_cpu-steal.html","description":"Query Expression: avg(rate(node_cpu_seconds_total{mode=\\\u0022steal\\\u0022}[1m])) by (hostname)*100.00 Namespace Specific: N Label: hostname Description: The 1 minute average CPU steal time on the node. Unit: "},{"title":"cpu-user","url":"r_cpu-user.html","description":"Query Expression: avg(rate(node_cpu_seconds_total{mode=\\\u0022user\\\u0022}[1m])) by (hostname)*100.00 Namespace Specific: N Label: hostname Description: The 1 minute average CPU user time on the node. Unit: In"},{"title":"kubelet-node-status","url":"r_kubelet-node-status.html","description":"Query Expression: sum(kube_node_status_condition{status=\\\u0022true\\\u0022}) by (condition) Namespace Specific: N Label: condition Description: The kubelet node status by condition. Unit: Int32 Type: Gauge Thr"},{"title":"network-errors-total","url":"r_network-errors-total.html","description":"Query Expression: sum(node_network_receive_errs_total) by (hostname) Namespace Specific: N Label: hostname Description: The number of network errors by node. Unit: Int64 Type: Counter Threshold of No"},{"title":"daemonset-ready-percent","url":"r_daemonset-ready-percent.html","description":"Query Expression: kube_daemonset_status_number_ready/kube_daemonset_status_ desired_number_scheduled * 100 Namespace Specific: N Label: daemonset Description: The percent ready for the given daemonse"},{"title":"deployment-ready-percent","url":"r_deployment-ready-percent.html","description":"Query Expression: kube_deployment_status_replicas_available/ kube_deployment_status_replicas * 100 Namespace Specific: N Label: deployment Description: The percent ready for the given deployment. Uni"},{"title":"statefulset-ready-percent","url":"r_statefulset-ready-percent.html","description":"Query Expression: kube_statefulset_status_replicas_ready/ kube_statefulset_status_replicas * 100 Namespace Specific: N Label: statefulset Description: The percent ready for the given statefulset Unit"}]}]},{"title":"Alerts Reference","url":"g_smi_alerts.html","description":"This chapter lists the default alerts available in the SMI Cluster Manager.","children":[{"title":"Alerts Reference","url":"r_alerting-rules_sep_22.html","description":"cndp-ha Rules: Alert: cndp-ha-switchover Annotations: Type: Switching Over To Primary Summary: \u0022CNDP-HA is switched {{ $labels.hostname }} over to primary.\u0022 Expression: | ha_is_failed_over == 1 For: "}]},{"title":"SMI MIB Reference","url":"g_smi_mib.html","children":[{"title":"CNEE MIB Reference","url":"r_cnee_mib_reference.html","description":"The following are the supported SMI CNEE MIB Objects. ciscoCneeMIB Module Identity Last Updated: \u0022201910120000Z\u0022 Organization: \u0022Cisco Systems, Inc.\u0022 Contact Info: \u0022Cisco Systems Customer Service Post"},{"title":"SMI MIB Reference","url":"r_smi_mib_reference.html","description":"The following are the supported SMI MIB Objects. ciscoProducts Object ID Status: current Description: ciscoProducts is the root OBJECT IDENTIFIER from which sysObjectID values are assigned. Actual va"}]},{"title":"Clusters Configuration Command Reference","url":"g_smi_cluster_deployer_cli_reference.html","description":"This chapter describes the CLI commands that are used to configure a cluster environment and subsequent preferences for corresponding nodes. Use the following commands to also configure software pack","children":[{"title":"clusters action validate-cluster","url":"r_clusters_action_validate-cluster.html","description":"Validates the cluster configuration. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax validate-cluster { logs | run log-level log_level } Use this"},{"title":"clusters action validate-cluster logs","url":"r_clusters_action_validate-cluster_logs.html","description":"Displays the cluster configuration logs. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax logs Use this command to view the cluster configuration "},{"title":"clusters action validate-cluster run","url":"r_clusters_action_validate-cluster_run.html","description":"Runs the cluster validation. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax run log-level log_level log-level log_level Specify the log-level. M"},{"title":"clusters actions k8s cluster-status","url":"r_clusters_actions_k8s_cluster-status_command.html","description":"Displays overall status of the cluster including pod and etcd based statistics. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxk8s cluster-status U"},{"title":"clusters actions logs","url":"r_clusters_actions_logs_command.html","description":"Displays the cluster synchornization logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlogs Use this command to display the cluster synchronizat"},{"title":"clusters actions show","url":"r_clusters_actions_show_command.html","description":"Displays the TCP, UDP, NTP and log-level information of the clusters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxshow { info { log-level log_le"},{"title":"clusters actions show info","url":"r_clusters_actions_show_info_command.html","description":"Displays the clusters TCP, UDP, NTP and log-level information. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxinfo { log-level log_level | ntp-info"},{"title":"clusters actions show logs","url":"r_clusters_actions_show_logs_command.html","description":"Displays the cluster configuration logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlogs Use this command to view the cluster configuration."},{"title":"clusters actions sync cancel","url":"r_clusters_actions_sync_cancel_command.html","description":"Cancels cluster synchronization Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcancel Use this command to cancel cluster synchronization."},{"title":"clusters actions sync","url":"r_clusters_actions_sync_command.html","description":"Synchronizes the cluster configurations. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsync { cancel | logs | run { debug | force-vm-redeploy | pu"},{"title":"clusters actions sync run","url":"r_clusters_actions_sync_run_command.html","description":"Runs the cluster synchronization. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxrun { debug | force-vm-redeploy | purge-data-disks | reset-k8s-nod"},{"title":"clusters actions sync status","url":"r_clusters_actions_sync_status_command.html","description":"Displays the cluster synchronization status. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxstatus Use this command to view the cluster synchroniza"},{"title":"clusters actions validate-config","url":"r_clusters_actions_validate-config_command.html","description":"Validates the configuration defined for the clusters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxvalidate-config { logs | run { k8s-node-checks"},{"title":"clusters actions validate-config logs","url":"r_clusters_actions_validate-config_logs_command.html","description":"Displays the cluster configuration logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlogs Use this command to view the cluster configuration log"},{"title":"clusters actions validate-config run","url":"r_clusters_actions_validate-config_run_command.html","description":"Runs the cluster configuration validation. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxrun { k8s-node-checks [ false | true ] | log-level log-le"},{"title":"clusters addons","url":"r_clusters_addons_command.html","description":"Configures the basic kubernetes cluster functionality. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxaddons { ingress { bind-ip-address ipv4_addre"},{"title":"clusters addons cpu-partitioner","url":"r_clusters_addons_cpu-partitioner_command.html","description":"Enables or disables the CPU partitioning. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcpu-partitioner { enabled | disabled } enabledSpecify to e"},{"title":"clusters addons distributed-registry","url":"r_clusters_addons_distributed_registry.html","description":"Enables or disables the distributed registry. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax distributed-registry { enabled | disabled | release"},{"title":"clusters addons distributed-registry releases","url":"r_clusters_addons_distributed_registry_releases.html","description":"Specify the release name whose chart and images need to be added to the registry. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax releases name n"},{"title":"clusters addons ingress","url":"r_clusters_addons_ingress.html","description":"Configures the ingress IPv4 address. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax ingress service-type { bind-ip-address ipv4_address | disabl"},{"title":"clusters addons istio","url":"r_clusters_addons_istio_command.html","description":"Enables or Disbales the Istio services. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxisitio { enabled | disabled } enabledSpecify to enable or di"},{"title":"clusters addons kubernetes-dashboard","url":"r_clusters_addons_kubernetes-dashboard_command.html","description":"Configures the Kubernetes dashboard. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxkubernetes-dashboard enabled { false | true } enabledSpecify to"},{"title":"clusters addons network","url":"r_clusters_addons_network_command.html","description":"Configures the network type. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnetwork type calico type calicoSpecify the network type. The default ty"},{"title":"clusters addons openstack-volume-provider","url":"r_clusters_addons_openstack_volume_provider.html","description":"Enables the OpenStack volume provider. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax openstack-volume-provider { auth-url url | domain-id domai"},{"title":"clusters addons vsphere-volume-provider","url":"r_clusters_addons_vsphere_volume_provider.html","description":"Consfigures vCenter vSphere. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax vsphere-volume-provider { server vcenter_server | server-port vcente"},{"title":"clusters","url":"r_clusters_command.html","description":"Configures the cluster environment. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxclusters environment enviromentSpecify the environment used to d"},{"title":"clusters configuration","url":"r_clusters_configuration_command.html","description":"Configures the kubernetes cluster. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax configuration { additional-master-virtual-ip ipv4_address | ad"},{"title":"clusters configuration docker-address-pools","url":"r_clusters_configuration_docker_address_pools.html","description":"Updates the default docker bridge network address pools. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax clusters configuration docker-address-po"},{"title":"clusters environment","url":"r_clusters_environment.html","description":"Configures the cluster environment. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax clusters environment environment Specify the environment used"},{"title":"clusters environment nodes initial-boot","url":"r_clusters_environment_nodes_initial_boot.html","description":"Configures the cloud-init configurations. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax initial-boot { default-user default_user | default-user"},{"title":"clusters environment nodes os","url":"r_clusters_environment_nodes_os.html","description":"Configures OS-specific configurations. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax os { ntp | proxy { http-proxy http_proxy | https-proxy htt"},{"title":"clusters environment nodes vmware numa-node-affinity","url":"r_clusters_environment_nodes_vmware_numa-node-affinity.html","description":"Configures the affinity to a processor socket. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax numa-node-affinity cpu_socket_number socket cpu_so"},{"title":"clusters environment vmware performance","url":"r_clusters_environment_vmware_performance.html","description":"Configures VMware parameters. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax performance { cpu-reservation { false | true } | latency-sensitivit"},{"title":"clusters k8s","url":"r_clusters_k8s_command.html","description":"Configures Kubernetes-specific configurations. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxk8s { node-labels key value | ssh-connection-password"},{"title":"clusters node-defaults","url":"r_clusters_node-defaults_command.html","description":"Configures the default configuration that applies to all nodes. All options are overridable at the node level. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configura"},{"title":"clusters node-defaults initial-boot","url":"r_clusters_node-defaults_initial-boot_command.html","description":"Configures the initial boot options for the node. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxinitial-boot { default-user user | default-user-pa"},{"title":"clusters node-defaults k8s","url":"r_clusters_node-defaults_k8s_command.html","description":"Configures Kubernetes-specific configurations. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxk8s { node-labels key value | ssh-connection-password"},{"title":"clusters node-defaults netplan","url":"r_clusters_node-defaults_netplan_command.html","description":"Configures netplan. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnetplan template template template templateSpecify the netplan YAML template use"},{"title":"clusters node-defaults netplan variable-definitions","url":"r_clusters_node-defaults_netplan_variable-definitions_command.html","description":"Configures the variables that can be input into netplan template. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxvariable-definitions name name def"},{"title":"clusters node-defaults variable-definitions","url":"r_clusters_node-defaults_variable-definitions_command.html","description":"Configures the variables that can be input into netplan template. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxvariable-definitions name name def"},{"title":"clusters node-labels","url":"r_clusters_node-labels_command.html","description":"Configures node labels. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnode-lables key value keySpecify the prefix for the node label. Must be an a"},{"title":"clusters nodes","url":"r_clusters_nodes.html","description":"Configures the nodes for both OS and Kubernetes management. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax nodes node_name nodes node_name Speci"},{"title":"clusters nodes actions","url":"r_clusters_nodes_actions_command.html","description":"Runs node synchornizations. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxactions { k8s pod-status show-pod-details { false | true } | sync { canc"},{"title":"clusters nodes actions k8s","url":"r_clusters_nodes_actions_k8s_command.html","description":"Displays the status of the k8s pods in the nodes. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxk8s pod-status show-pod-details { false | true } U"},{"title":"clusters nodes actions k8s pod-status","url":"r_clusters_nodes_actions_k8s_pod-status_command.html","description":"Configures displaying the status of the pods scheduled on the node. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxpod-status show-pod-details { fa"},{"title":"clusters nodes actions sync cancel","url":"r_clusters_nodes_actions_sync_cancel_command.html","description":"Removes the node configuration. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcancel Use this command to remove the node configuration."},{"title":"clusters nodes actions sync","url":"r_clusters_nodes_actions_sync_command.html","description":"Configures to synchorinze only one node. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsync { cancel | drain { remove-node { false | true } | ansi"},{"title":"clusters nodes actions sync drain","url":"r_clusters_nodes_actions_sync_drain_command.html","description":"Drains the node in preparation for an upgrade. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxdrain { remove-node { false | true } | ansible-strate"},{"title":"clusters nodes actions sync logs","url":"r_clusters_nodes_actions_sync_logs_command.html","description":"Displays the node configuration logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlogs Use this command to view the node configuration logs."},{"title":"clusters nodes actions sync run","url":"r_clusters_nodes_actions_sync_run_command.html","description":"Upgrades the nodes. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxrun { debug { false | true } | force-vm-redeploy { false | true } | purge-data-d"},{"title":"clusters nodes actions sync serial-logs","url":"r_clusters_nodes_actions_sync_serial-logs_command.html","description":"Displays the node configuration serial logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxserial-logs Use this command to view the node configura"},{"title":"clusters nodes actions sync status","url":"r_clusters_nodes_actions_sync_status_command.html","description":"Displays the status of the node. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxstatus Use this command to display the status of the node."},{"title":"clusters nodes k8s","url":"r_clusters_nodes_k8s.html","description":"Configures the cluster specific configuration. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax k8s {node-ip node_ip | node-labels key value| node"},{"title":"clusters nodes netplan","url":"r_clusters_nodes_netplan_command.html","description":"Configures the netplan template. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnetplan variables variable_name value value Use this command to con"},{"title":"clusters nodes os netplan-additions actions","url":"r_clusters_nodes_netplan_os_additions_actions.html","description":"Displays a preview of netplan YAML and validates it with \u0022netplan generate\u0022. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax actions preview-netp"},{"title":"clusters nodes netplan variables","url":"r_clusters_nodes_netplan_variables.html","description":"Configures the netplan template variables. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax variables variable_name variable_name Specify the vari"},{"title":"clusters nodes os disable-log-ratelimit","url":"r_clusters_nodes_os_disable-log-ratelimit.html","description":"Enables or disables JournalID rate limiting. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax disable-log-ratelimit enabled { false | true } enabl"},{"title":"clusters nodes os netplan-additions","url":"r_clusters_nodes_os_netplan_additions.html","description":"Allows adding to netplan configuration from initial-boot (cloud-init). NOTE: currently only routes are supported and not all netplan fields are available. Privilege Level Security Administrator, Admi"},{"title":"clusters nodes os netplan-additions actions preview-netplan","url":"r_clusters_nodes_os_netplan_additions_actions_preview_netplan.html","description":"Displays a preview of netplan YAML and validates with \u0022netplan generate\u0022. This command displays only the commited data and it is useful for debugging. Privilege Level Security Administrator, Administ"},{"title":"clusters nodes os netplan-additions bonds","url":"r_clusters_nodes_os_netplan_additions_bonds.html","description":"Configures netplan bonds device type. See https://netplan.io/reference#properties-for-device-type-bonds. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration"},{"title":"clusters nodes os netplan-additions bonds routes","url":"r_clusters_nodes_os_netplan_additions_bonds_routes.html","description":"Configures netplan routes. This command defines the standard static routes for an interface. It is mandatory to specify values for to and via. See https://netplan.io/reference#routing. Privilege Leve"},{"title":"clusters nodes os netplan-additions ethernets","url":"r_clusters_nodes_os_netplan_additions_ethernets.html","description":"Configures netplan ethernets device type. See https://netplan.io/reference#properties-for-device-type-ethernets. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Confi"},{"title":"clusters nodes os netplan-additions ethernets routes","url":"r_clusters_nodes_os_netplan_additions_ethernets_routes.html","description":"Configures netplan routes. This command defines the standard static routes for an interface. It is mandatory to specify values for to and via. See https://netplan.io/reference#routing. Privilege Leve"},{"title":"clusters nodes os netplan-additions vlans","url":"r_clusters_nodes_os_netplan_additions_vlans.html","description":"Configures netplan vlan device type. See https://netplan.io/reference#properties-for-device-type-vlans Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration S"},{"title":"clusters nodes os netplan-additions vlans routes","url":"r_clusters_nodes_os_netplan_additions_vlans_routes.html","description":"Configures netplan routes. This command defines the standard static routes for an interface. It is mandatory to specify values for to and via. See https://netplan.io/reference#routing. Privilege Leve"},{"title":"clusters nodes os ntp","url":"r_clusters_nodes_os_ntp.html","description":"Configures the NTP servers for the nodes. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax ntp { disabled | enabled servers url | servers url } en"},{"title":"clusters nodes os ntp servers","url":"r_clusters_nodes_os_ntp_servers.html","description":"Configures the time server parameters. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax servers url { key-id key_id | sha-key sha_key | sha-type s"},{"title":"clusters nodes os proxy","url":"r_clusters_nodes_os_proxy.html","description":"Configures the proxy servers at the node level. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax proxy { http-proxy http_proxy | https-proxy https"},{"title":"clusters nodes os tuned","url":"r_clusters_nodes_os_tuned.html","description":"Enable or disable. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax tuned { disabled | enabled } enabled { false | true } Enable or disable. Must "},{"title":"clusters node-type-defaults","url":"r_clusters_node-type-defaults_command.html","description":"Configures the default configuration that applies to all nodes of a specific type. Takes precedence over node-defaults. All options are overridable at the node level. Privilege LevelSecurity Administ"},{"title":"clusters node-type-defaults initial-boot","url":"r_clusters_node-type-defaults_initial-boot_command.html","description":"Configures the cloud-init configurations, which only take effect on initial boot of OS and will not cause respin without other changes. Privilege LevelSecurity Administrator, Administrator Command Mo"},{"title":"clusters node-type-defaults k8s","url":"r_clusters_node-type-defaults_k8s.html","description":"Configures Kubernetes-specific configurations. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax k8s { node-labels key value | ssh-connection-passw"},{"title":"clusters node-type-defaults k8s","url":"r_clusters_node-type-defaults_k8s_command.html","description":"Configures Kubernetes-specific configurations. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxk8s { node-labels key value | ssh-connection-password"},{"title":"clusters node-type-defaults k8s node-labels","url":"r_clusters_node-type-defaults_k8s_node-labels_command.html","description":"Configures node labels. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnode-lables key value. keySpecify the prefix for the node label. Must be a a"},{"title":"clusters node-type-defaults netplan","url":"r_clusters_node-type-defaults_netplan_command.html","description":"Configures netplan. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnetplan template template template templateSpecify the netplan YAML template use"},{"title":"clusters ops-centers","url":"r_clusters_ops-centers_command.html","description":"Allows installation of application Ops centers used to install and manage applications. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxops-centers "},{"title":"clusters ops-centers initial-boot-parameters","url":"r_clusters_ops-centers_initial-boot-parameters_command.html","description":"Configures the initial boot parameters for helm chart deployment. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxinitial-boot-parameters { use-volu"},{"title":"clusters ops-centers initial-boot-parameters image-pull-secrets","url":"r_clusters_ops-centers_initial-boot-parameters_image-pull-secrets_command.html","description":"Configures the docker registry secret name. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaximage-pull-secrets secret_name secret_nameSpecify the do"},{"title":"clusters secrets","url":"r_clusters_secrets.html","description":"Configures the Kuberentes cluster-wide secrets. Privilege Level Security Administrator, Administrator Command Mode Exec > Global configuration Syntax secrets { tls { namespace namespace secret-name n"},{"title":"clusters secrets docker-registry","url":"r_clusters_secrets_docker_registry.html","description":"Configures the name of the registry secret. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax docker-registry secret_name { docker-server server_na"},{"title":"clusters secrets tls","url":"r_clusters_secrets_tls.html","description":"Configures the TLS associated secret. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax tls { namespace namespace secret-name name { private-key st"},{"title":"clusters virtual-ips","url":"r_clusters_virtual_ips.html","description":"Configures virtual IPs within the k8s cluster. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax virtual-ips vip_group { check-port port_number | h"},{"title":"clusters virtual-ips hosts","url":"r_clusters_virtual_ips_hosts.html","description":"Configures the host addresses. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax hosts hostname priority priority hostname Specify the host name to"},{"title":"clusters virtual-ips ipv4-addresses","url":"r_clusters_virtual_ips_ipv4-addresses.html","description":"Configures virtual IPv4 addresses. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax ipv4-addresses ipv4_address { mask netmask | broadcast ipv4_ad"},{"title":"clusters virtual-ips ipv6-addresses","url":"r_clusters_virtual_ips_ipv6-addresses.html","description":"Configures the IPv6 addresses. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax ipv6-addresses ipv6_address { device device_name | mask netmask } "},{"title":"environments","url":"r_environments_command.html","description":"Configures environment available for clusters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxenvironments name { vcenter { allow-self-signed-cert "},{"title":"environments manual","url":"r_environments_manual_command.html","description":"Allows generating artifacts to be deployed manually. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxmanual Use this command to generate artifacts t"},{"title":"environments vcenter","url":"r_environments_vcenter_command.html","description":"Deploys using the vCenter API. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxvcenter { allow-self-signed-cert { false | true } | cluster string | "},{"title":"environments vcenter nics","url":"r_environments_vcenter_nics_command.html","description":"Configures NICS. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxnics network_name network_nameSpecify the vmware network name.Must be a string. Use"},{"title":"show","url":"r_show_command.html","description":"Displays system configuration information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow { cli | confd-state | configuration | history | jobs | nacm | netconf-state"},{"title":"show version","url":"r_show_version_command.html","description":"Displays system configuration information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxversion Use this command to view system configuration information."},{"title":"software-packages","url":"r_software-packages_command.html","description":"Manages the available software packages. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxsoftware-packages { delete package_name | download { user user_name password passw"},{"title":"software-packages delete","url":"r_software-packages_delete_command.html","description":"Removes the specified software packages. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxdelete package package_name package package_nameSpecify the package name.Must be a"},{"title":"software-packages download","url":"r_software-packages_download_command.html","description":"Downloads the software packages through HTTP/HTTPS protocols. Privilege Level Security Administrator, Administrator Command Mode Exec Syntax download { user user_name password password url url accept"},{"title":"software-packages list","url":"r_software-packages_list_command.html","description":"Lists the available software packages. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlist Use this command to lists the available software packages."}]},{"title":"Ops Center Security Configuration Command Reference","url":"g_Ops_center_security_config_mode_command_reference.html","children":[{"title":"ldap-security","url":"r_ldap-security_command.html","description":"Enables the LDAP security for user groups. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-security { base-dn base_domain_name | group-attr gro"},{"title":"ldap-security group-mapping","url":"r_ldap-security_group-mapping_command.html","description":"Configures the LDAP group to application security mapping. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxldap-security group-mapping ldap_group_na"},{"title":"smiuser add-group","url":"r_smiuser_add-group_command.html","description":"Adds an SMI user group. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser add-group groupname group_name groupname group_nameSpecify the group"},{"title":"smiuser add-user","url":"r_smiuser_add-user_command.html","description":"Creates a new SMI user. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser add-user { password password | username user_name } username user_na"},{"title":"smiuser assign-user-group","url":"r_smiuser_assign-user-group_command.html","description":"Assigns a user to a user group. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser assign-user-group username user_name groupname group_name us"},{"title":"smiuser change-password","url":"r_smiuser_change-password_command.html","description":"Change the SMI user password. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser change-password { confirm-password confirm_password | current-"},{"title":"smiuser change-password-age","url":"r_smiuser_change-password-age_command.html","description":"Change the password age. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser change-password-age { username user_name | password-expire-days pas"},{"title":"smiuser change-self-password","url":"r_smiuser_change-self-password_command.html","description":"Change the password for self. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser change-self-password { confirm-password confirm_password | cur"},{"title":"smiuser delete-group","url":"r_smiuser_delete-group_command.html","description":"Deletes an SMI user group. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser delete-group groupname group_name groupname group_nameSpecify the"},{"title":"smiuser delete-user","url":"r_smiuser_delete-user_command.html","description":"Deletes SMI user. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser delete-user user_name user_nameSpecify the user name.Must be a string. Use"},{"title":"smiuser show-user","url":"r_smiuser_show-user_command.html","description":"Displays the list of users. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxshow-user user_name user_nameSpecify the user name.Must be a string. Use"},{"title":"smiuser unassign-user-group","url":"r_smiuser_unassign-user-group_command.html","description":"Unassigns a user from a user group. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser unassign-user-group username user_name groupname group_n"},{"title":"smiuser update-password-length","url":"r_smiuser_update-password-length_command.html","description":"Updates password length. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsmiuser update-password-length length password_length length password_lengt"},{"title":"tacacs-security","url":"r_tacacs-security_command.html","description":"Enables TACACS+ security settings. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtacacs-security { remote-addr remote_address | service service_na"},{"title":"tacacs-security server","url":"r_tacacs-security_server_command.html","description":"Configures the TACACS+ server settings. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtacacs-security server server_priority { address ip_address "}]},{"title":"Mobile Ops Center Configuration Command Reference","url":"g_mobile_ops_center_config_command_reference.html","children":[{"title":"license smart","url":"r_license_smart_command.html","description":"Configures smart licensing for SMI applications. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlicense smart url smart_licensing_server_url url sm"},{"title":"license smart deregister","url":"r_license_smart_deregister_command.html","description":"Deregisters VNF from Smart Licensing. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense deregister Use this command to deregister the VNF from smart licensing."},{"title":"license smart register","url":"r_license_smart_register_command.html","description":"Registers the VNF for Smart Licensing. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense register { idtoken | force } idtokenSpecify the ID Token to register the age"},{"title":"license smart renew ID","url":"r_license_smart_renew_id_command.html","description":"Renews smart agent license registration information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart renew ID Use this command to renew smart agent license r"},{"title":"license smart renew auth","url":"r_license_smart_renew_auth_command.html","description":"Initiates a manual update of the license usage information with Cisco. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart renew auth Use this command to initiat"},{"title":"license smart reservation","url":"r_license_smart_reservation_command.html","description":"Enables or disables the Smart Licensing feature. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlicense smart reservation enable { false | true }Sp"},{"title":"license smart reservation cancel","url":"r_license_smart_reservation_cancel_command.html","description":"Cancels a smart license reservation request. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart reservation cancel Use this command to cancel a smart license re"},{"title":"license smart reservation install","url":"r_license_smart_reservation_install_command.html","description":"Installs a smart license reservation authorization code. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart reservation install key authorization_code key autho"},{"title":"license smart reservation request","url":"r_license_smart_reservation_request_command.html","description":"Requests a license reservation. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart reservation request Use this command to request a license reservation."},{"title":"license smart reservation return","url":"r_license_smart_reservation_return_command.html","description":"Returns a smart license reservation. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart reservation return authorization authorization_code authorization author"},{"title":"license smart udi","url":"r_license_smart_udi_command.html","description":"Displays Smart Licensing Unique Device Identifier (UDI). Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxlicense smart udi [ pid | sn ] pidSpecify the product ID of the UD"},{"title":"ops","url":"r_ops_command.html","description":"Displays the list of Ops Centers installed in the clusters. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow ops Use this command to view the list of Ops Centers insta"},{"title":"ops center","url":"r_ops_center_command.html","description":"Displays the currently deployed Ops Center in clusters. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow ops center [ release helm_release | cli-host cli_host_uri | id"},{"title":"ssh-settings","url":"r_ssh-settings_command.html","description":"Configures the SSH settings for Ops Center SSH connection. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxssh-settings enable-aes-cbc { false | tru"},{"title":"system","url":"r_system_command.html","description":"Configures the Network Function system commands. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem mode uuid { uuid-override new-uuid new_uuid "},{"title":"system ops-center","url":"r_system_ops-center_command.html","description":"Runs Ops Center diagnostics. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem ops-center repository repository_url repository repository_urlSp"},{"title":"system ops-center stop","url":"r_system_ops-center_stop_command.html","description":"Stops the synchronization process. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem ops-center stop Use this command to stop the synchronizati"},{"title":"system ops-center-debug","url":"r_system_ops-center-debug_command.html","description":"Debugs the Ops Center. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem ops-center-debug status statusStatus of the Ops Center debugging proce"},{"title":"system ops-center-debug start","url":"r_system_ops-center-debug_start_command.html","description":"Starts the Ops Center debugging process. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem ops-center-debug start Use this command to start the"},{"title":"system ops-center-debug stop","url":"r_system_ops-center-debug_stop_command.html","description":"Stops the Ops Center debugging process. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem ops-center-debug stop Use this command to stop the Op"},{"title":"system status","url":"r_system_status_command.html","description":"Displays the system status. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem status { deployed { false | true } | percent-ready } deployed { f"},{"title":"system synch","url":"r_system_synch_command.html","description":"Indicates the status of automatic synching of the configuration. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem synch { running | pending } "},{"title":"system synch start","url":"r_system_synch_start_command.html","description":"Starts the synching process. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxstart Use this command to start the synching process."},{"title":"system synch stop","url":"r_system_synch_stop_command.html","description":"Stops the synching process. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxstop Use this command to stop the synching process."},{"title":"system upgrade","url":"r_system_upgrade_command.html","description":"Forces an upgrade of the product. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxupgrade Use this command to force an upgrade of the product."},{"title":"system uuid-override","url":"r_system_uuid-override_command.html","description":"Forces the UUID to a new value. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsystem uuid-override new-uuid new_uuid new-uuid new_uuidSpecify the "}]}]},{"title":"Common Execution Environment: Configuration and Administration","url":"g_part_cee.html","description":"This part describes the procedures involved in configuring the Common Execution Environment (CEE).","children":[{"title":"Common Execution Environment","url":"g_cee_config.html","children":[{"title":"Overview","url":"r_overview_2_3.html","description":"The Common Execution Environment (CEE) is a software solution developed for monitoring mobile and cable applications that are deployed on the Subscriber Microservices Infrastructure (SMI). The CEE ca"},{"title":"CEE Installation","url":"r_cee_installation.html","description":"This section describes the procedures involved in installing the CEE using the Ops Center.","children":[{"title":"Prerequisites","url":"r_prerequisites_1.html","description":"The prerequisites for installing the CEE are: Installing the SMI Cluster Manager. Storing the CEE and associated product tarballs in the local repository. Applying the necessary cluster configuration"},{"title":"Requirements","url":"r_requirements.html","description":"All the versions of CEE."},{"title":"Components Used","url":"r_components_used_1_2.html","description":"The following components are used for installing the CEE: The SMI Cluster Manager. The SMI CEE."},{"title":"Installing CEE","url":"r_installing_cee.html","description":"You can install the CEE using the SMI Cluster Manager CLI. To install CEE, use the following configurations: Login to the SMI Cluster Manager CLI (using the ingress URL) and enter the configuration m"}]},{"title":"CEE Pods","url":"r_pods.html","description":"A pod is a process that runs on your Kubernetes cluster. Pod encapsulates a granular unit that is known as a container. A pod contains one or multiple containers. Kubernetes deploys one or multiple p"},{"title":"Smart Software Licensing","url":"r_smart_licensing_overview.html","description":"Smart Licensing is a cloud-based approach to licensing that simplifies the purchase, deployment, and management of Cisco software assets. Entitlements are purchased through your Cisco account via Cis","children":[{"title":"Cisco Software Central","url":"r_Cisco_Smart_Software_Manager.html","description":"Cisco Software Central (CSC) enables the management of software licenses and Smart Account from a single portal. The interface allows you to activate your product, manage entitlements, and renew and "},{"title":"Smart Accounts/Virtual Accounts","url":"r_smart_virtual_accounts.html","description":"A Smart Account provides a single location for all Smart-enabled products and entitlements. It helps speed procurement, deployment, and maintenance of Cisco Software. When creating a Smart Account, y"},{"title":"Request a Cisco Smart Account","url":"r_request_smart_account.html","description":"A Cisco Smart Account is an account where all products enabled for Smart Licensing are deposited. A Cisco Smart Account allows you to manage and activate your licenses to devices, monitor license use"},{"title":"CEE Smart Licensing","url":"r_CEE_Smart_licensing.html","description":"At present, the Smart Licensing feature supports application entitlement for online and offline licensing for CEE. The application usage is unrestricted during all stages of licensing including Out o"},{"title":"Software Tags and Entitlement Tags","url":"r_software_entitlement_tags.html","description":"Tags for the following software and entitlements have been created to identify, report, and enforce licenses. Software Tags Software tags uniquely identify each licenseable software product or produc"},{"title":"Configuring Smart Licensing","url":"r_configuring_smart_licensing.html","description":"You can configure Smart Licensing after a new CEE deployment.","children":[{"title":"Users with Access to CSC","url":"r_end_users_with_access_CSSM_account.html","description":"This section describes the procedure involved in configuring Smart Licensing for users with access to CSC portal from their internal environment. Setting Up the Product and Entitlement in CSC Before "},{"title":"Users without Access to CSC","url":"r_end_users_without_access_CSSM_account.html","description":"The Smart License Reservation feature \u2013 Perpetual Reservation \u2013 is reserved for customers without access to CSC from their internal environments. With this feature, Cisco allows customers to reserve "}]},{"title":"Monitoring and Troubleshooting Smart Licensing","url":"r_monitoring_and_troubleshooting.html","description":"You can use the following show commands to display information about Smart Licensing in the CEE Ops Center. show licesne [all | UDI | displaylevel | reservation | smart | status | summary | tech-supp"}]},{"title":"Accessing CEE Ops Center","url":"r_accessing_cee_ops_center.html","description":"You can access the CEE Ops Center CLI through the ingress URL. For example: https://cli.cee-global-ops-center.<ip_address>.<customer_specific_domain_name>"},{"title":"Upgrading CEE","url":"r_upgrading_cee.html","description":"This section describes the procedure involved in upgrading the CEE Ops Center and CEE products.","children":[{"title":"Upgrading CEE Ops Center","url":"r_upgrading_cee_ops_center.html","description":"To upgrade the CEE Ops Center, use the following configurations: Use the following configuration to modify the CEE Ops Center to point it to the new tarball. configure cluster cluster_name ops-center"},{"title":"Upgrading CEE Products","url":"r_upgrading_cee_products.html","description":"To upgrade the CEE products, use the following configurations: Access the CEE Ops Center through the ingress URL. https://cli.cee-global-ops-center.<ipv4_address>.<customer_specific_domain_name> NOTE"}]},{"title":"Configuring CEE","url":"r_configuring_cee.html","description":"The subsequent sections provide more information about the CEE configuration procedures."},{"title":"Configuring Alerts","url":"r_configuring_alerts.html","description":"When an anomaly is detected, the system generates a notification called an alert. Based on the statistics pegged by the system, alerts are fired. You can configure an expression to fire an alert when","children":[{"title":"Requirements","url":"r_requirements_2_2.html","description":"For configuring alerts: The CEE product must be installed and running. The CEE Ops Center must be accessible."},{"title":"Configuring Alert Rules","url":"r_configuring_alert_rules.html","description":"Use the following configuration to configure the alert rules. configure alerts rules group alert_group_name interval-seconds seconds rule rule_name expression promql_expression duration duration seve"},{"title":"Configuring Alerts for ETCD Nodes","url":"r_confiiguring_alerts_for_ETCD_VM_Nodes.html","description":"The ETCD runs on separate nodes in a multi-node environment as opposed to a container within Kubernetes environment. A Node-Exporter runs on each of the ETCD nodes to obtain host level metrics. Also,"},{"title":"Helm Deployment Alert Rule","url":"r_helm_chart_deployment_alert_rule.html","description":"The CEE Ops Center comes equipped with a built-in alert rule - helm_deploy_failure - to indicate the failure status of helm chart deployment. This alert rule comes by default as a Prometheus alerting"},{"title":"Viewing Alert Logger","url":"r_viewing_alert_logger.html","description":"The Alert Logger stores all the generated alerts by default. You can view the stored alerts using the following show commands. show alert history { detail | summary } show alert active { detail | sum"},{"title":"Enabling SNMP Traps","url":"r_enabling_snmp_traps.html","description":"Use the following configuration to enable the SNMP Traps. configure snmp-trapper enable true snmp-trapper { v2c-target target | v3-target target | v3-engine-id source_engine_id } community [ communit"},{"title":"Disabling SNMP Traps","url":"r_disabling_snmp_traps.html","description":"Use the following configuration to disable SNMP Traps. configure no snmp-trapper enable exit NOTES: no snmp-trapper enable - Disables SNMP Traps."}]},{"title":"Configuring Bulk Statistics","url":"r_configuring_bulk_statistics.html","description":"Bulk statistics provide a mechanism to view the summary of the CEE metrics. You can configure bulk statistics to pull the CEE metrics periodically. Also, you can download the metrics in Comma-Separat"},{"title":"Retrieving Bulk Statistics","url":"r_retrieving_bulk_statistics.html","description":"The CEE stores the Bulk statistics in the CSV format. You can download the stored files from the external host. You must configure the external IP and port to download the bulk statistics. Use the fo"},{"title":"Grafana","url":"r_grafana.html","description":"Grafana is an open source data visualization tool used for displaying application metrics in interactive dashboards.","children":[{"title":"Accessing Grafana","url":"r_accessing_grafana.html","description":"You can access Grafana login page through Ingress using any of the standard web browsers. For instance, using Google Chrome navigate to the Grafana login page with the following Ingress URL: https://"},{"title":"Using Dashboards","url":"r_using_dashboards.html","description":"Grafana home page lists the dashboards bundled with CEE. The dashboards provide an overall status of the system. To view the dashboards, perform the following: Navigate to Grafana Login page using an"},{"title":"User Management in Grafana","url":"r_user_management_in_grafana.html","description":"You can create and manage the local users and user groups through the CEE Ops Center as described in the Provisioning Local Users section."},{"title":"Configuring Ingress for Prometheus","url":"r-configuring-ingress-for-prometheus.html","description":"SMI allows a Kubernetes ingress resource with basic authentication to be added to Prometheus using Grafana. This allows SMI metrics to be used as a data source by an external Grafana instance. Login "}]},{"title":"Provisioning Local Users","url":"r_provisioning-local-users_2.html","description":"A new YANG model is introduced in SMI to support user management in compliance with Cisco Secure Development Life-cycle (CSDL) requirements. This new YANG model is applicable to SMI Cluster Manager a","children":[{"title":"User Management","url":"r_user_management_2.html","description":"This chapter describes how to create and manage local users using the Ops Center CLI (for both the products and SMI Cluster Manager Ops Center). Users with administrator privileges can add, modify, a","children":[{"title":"Adding a User","url":"r_adding_a_user_2.html","description":"To add a new user, use the following configurations: configure smiuser add-user username username password password exit Notes: smiuser add-user - Adds a new local user. username username - Specifies"},{"title":"Creating Unprivileged Users with SSH Key","url":"r_Creating_Unprivliged_users_SMI_2466_2.html","description":"The SMI Cluster Manager allows creating unprivileged users on cluster nodes with SSH key access. These users will remain even after the SMI Cluster Manager is upgraded. Also, the SMI Cluster Manager "},{"title":"Deleting a User","url":"r_deleting_a_user_2.html","description":"To delete a user, use the following configuration: configure smiuser delete-user username username exit smiuser delete-user - Deletes a local user. username username - Specifies the name of the user."},{"title":"Modifying the Password","url":"r_modifiying_an_password_for_self_2.html","description":"To modify the password (for self), use the following configuration:configure smiuser change-self-password current_password current password new_password new_password confirm_password new_password pas","children":[{"title":"Reset the Administrator Password","url":"r_reset_admin_password_2.html","description":"You can reset the administrator password if you have access to the K8s Cluster through kubectl command-line utility. To reset the administrator password: Enter the Ops Center Pod\u0027s EXEC mode. Use the"}]},{"title":"Modifying the Password for Other Users","url":"r_modifying_an_exisitng_password_for_other_users_2.html","description":"You can modify the password for other users using the following configuration: configure smiuser change-password username username current_password current_password new_password new_password confirm_"},{"title":"Updating the Password Length","url":"r_updating_the_password_length_2.html","description":"To update the length of the password, use the following configuration: configure smiuser update-password-length length number_of_characters exit smiuser update-password-length - Updates the length of"}]},{"title":"Group Management","url":"r_group_management_2.html","description":"This chapter describes how to create and manage user groups using the Ops Center CLI (of both the products and SMI Cluster Manager).","children":[{"title":"Adding a User Group","url":"r_adding_a_user_group_2.html","description":"To add a user group, use the following configuration: configure smiuser add-group groupname group_name exit smiuser add-group - Adds a new user group. groupname group_name - Specifies the name of the"},{"title":"Deleting a User Group","url":"r_deleting_a_user_group_2.html","description":"To delete a user group, use the following configuration:configure smiuser delete-group groupname group_name exit smiuser delete-group - Deletes a user group. groupname group_name - Specifies the name"},{"title":"Assigning an User to an User Group","url":"r_assigning_a_user_to_user_group_2.html","description":"To assign an user to an user group, use the following configuration: configure smiuser assign-user-group username username group group_name exit smiuser assign-user-group - Assigns an user to a user "},{"title":"Unassigning a User from a User Group","url":"r_unassiging_a_user_from_user_group_2.html","description":"To unassign a user from a user group, use the following configuration: configure smiuser unassign-user-group username username group group_name exit smiuser unassign-user-group - Removes an user from"}]}]},{"title":"Log Forwarding","url":"r_log_forwarding.html","description":"Log Forwarding allows you to forward the log entries (including the host and container level log entries) stored in JournalD to the external collectors. SMI/CNDP supports target hosts such as Fluent-","children":[{"title":"Prerequisites","url":"r_prerequisites_2_2.html","description":"You can enable Log Forwarding in CEE to forward log entries to the external collectors. You must ensure that the K8s cluster is installed in the CEE before enabling Log Forwarding."},{"title":"Requirements","url":"r_requirements_3.html","description":"The following are the requirements for enabling Log Forwarding: Fluent-x The target endpoint must be a Fluentbit or FluentD instance or cluster with the Forward protocol input plugin enabled. The end"},{"title":"Enabling Log Forwarding","url":"r_enabling_log_forwarding.html","description":"This section describes the procedure involved in enabling Log Forwarding on Fluent-x and Splunk. This section describes the procedure involved in enabling Log Forwarding on Fluent-x. Enabling Log For"},{"title":"Enabling Log Forwarding on StarOS","url":"r_enabling_log_forwarding_from_staros.html","description":"Use the following configuration to enable Log Forwarding from StarOS. configure logging syslog cee_ops_center_listener_ip_address facility local5 msg-format rfc5424 commit NOTES: syslog - Specifies t"},{"title":"Configuring CEE Ops Center as a Listener","url":"r_configuring_CEE_Ops_Center_as_listener.html","description":"You can configure the CEE Ops Center to listen to the logs from StarOS. Use the following configuration to configure CEE Ops Center as listener: configure logging listener enable external-ip cee_ops_"},{"title":"Configuring Fluent-D to Support Splunk","url":"r_configuring_FluentD_to_support_splunk.html","description":"You can configure Fluent-Bit to send logs to Fluent-D. When the Fluent-D receives the logs, it forwards the receibed logs to Splunk. To configure Fluent-D to support Splunk, use the following configu"},{"title":"Configuring Fluent-Bit to Support Splunk","url":"r_configuring_Fluentbit_to_support_splunk.html","description":"You can configure Fluent-Bit to send logs to Splunk. This configuration is applicable only when you configure the local cluster as the as the Listener and the remote cluster in remote forwarding mode"},{"title":"Configuring Fluent-Bit to Support Remote Forwarding","url":"r_configuring_Fluentbit_to_support_remote_forwarding.html","description":"You can configure Fluent-Bit to send logs to the remote cluster. To configure Fluent-Bit to support remote forwarding, use the following configuration: configure logging fluent host remote_cluster_ip"},{"title":"Configuring Fluent-Bit to Support Remote Listener","url":"r_configuring_Fluentbit_to_support_remote_listener.html","description":"You can configure Fluent-Bit to receive logs from the remote cluster. To configure Fluent-Bit to support remote listening, use the following configuration: configure logging splunk listner enable log"},{"title":"Configuring Fluent-Bit to Support Grafana Cloud","url":"r_configuring-fluent-bit-to-support-grafana-cloud.html","description":"You can configure Fluent-Bit to send logs to Grafana Cloud. To configure Fluent-Bit to to enable Grafana Cloud log forwarding, use the following configuration:configure logging grafana-cloud host gra"},{"title":"Viewing the Logs in Loki","url":"r_Viewing_the_logs_in_Loki.html","description":"You must enable the Loki (Grafana) to view all the logs the CEE Ops Center was listening. Use the following configuration to enable the Loki: configure logging loki enable retention-period retention_"},{"title":"Verifying Log Forwarding","url":"r_verifying_log_forwarding.html","description":"You can verify the external collectors for the log entries received. The logs are specific to the external collector. For example, you can use Kibana to verify the entries in ELK stack."},{"title":"Troubleshooting","url":"r_troubleshooting_1.html","description":"This section provides information on the common issues encountered while enabling log forwarding. To resolve the issues related to Log Forwarding, verify if: The configured endpoint IP/FQDN and port "},{"title":"Log Rate Limiting","url":"r_log_rate_limiting.html","description":"This section describes the basic principle used in rate limiting log messages in SMI Logging functionality.","children":[{"title":"Rate Limiting Log Messages","url":"r_rate_limiting_messages.html","description":"The SMI uses the systemd-journald service\u2014a Linux system service for collecting and storing log data\u2014for storing Kubernetes system and pods level log messages to files on the disk. You can configure "}]}]},{"title":"Gather TAC","url":"r_gather_tac.html","description":"Gather TAC is the primary mechanism through which the application debug files are extracted from a cluster. Whenever a debug package is required, a user can trigger the Gather TAC through the CLI or ","children":[{"title":"Debugging Data in CEE","url":"r_debugging_data_in_cee.html","description":"Using the Gather TAC function, you can collect logs from the coredump, Kubernetes, Kernel, Kubelet, and container logs. The collected files are compressed and stored in an internal Apache server.","children":[{"title":"Debugging Data","url":"r_debugging_data.html","description":"The following commands are used for requesting the TAC debug information.tac debug pkg create and deleteNew commandtac-debug-pkg create last<time_to_now> tac-debug-pkg delete last<time_to_now>Old com"}]}]},{"title":"Log Monitoring","url":"r_log_monitoring.html","description":"For real time monitoring of application logs, the CEE Ops Center uses the Kubetail utility. The Kubetail utility allows: Tailing multiple pods in a single stream. Tailing all containers within the Po"},{"title":"Cluster Monitoring","url":"r_cluster_monitoring.html","description":"The monitoring module in CEE monitors the local and remote clusters. The monitoring module is based on Prometheus, Thanos and Node Exporter open source projects. It provides an overall centralized me","children":[{"title":"Configuring the Remote Cluster","url":"r_configuring_remote_cluster_for_monitoring.html","description":"You can configure the Cluster Manager to monitor the remote clusters for alerts. The remote clusters act as a server. To configure the Cluster Manager for monitoring the remote clusters, use the foll"},{"title":"Configuring the Cluster Manager to Collect the Metrics from Remote Clusters","url":"r_configuring_cluster_manager_to_collect_metrics.html","description":"You can configure the Cluster Manager to monitor the remote clusters. The Cluster Manager acts as a client in this scenario. To configure the Cluster Manager to collect the alerts from remote cluster"}]},{"title":"Cluster Alerting","url":"r_cluster_alerting.html","description":"In CEE, the Alerting module is responsible for gathering the alerts from local and remote clusters. The Alerting module is based on the Prometheus and Alert Manager Open Source projects. It provides ","children":[{"title":"CIMC Alerts Exporter","url":"r_CIMC_alerts_exporter.html","description":"It is possible to configure a cluster with a cluster of CIMC devices. This enables the CIMC devices to receive alerts from the configured CIMC cluster. The CIMC exporter periodically polls the config"},{"title":"Configuring the Remote Cluster","url":"r_configuring_the_remote_cluster.html","description":"You can configure the Cluster Manager to monitor the remote clusters for alerts. The remote clusters act as a server. To configure the Cluster Manager for monitoring the remote clusters, use the foll","children":[{"title":"Configuring the Cluster Manager to Collect the Alerts from Remote Clusters","url":"r_configuring_remote_cluster_to_collect_alerts.html","description":"You can configure the Cluster Manager to monitor the remote clusters. The Cluster Manager acts as a client in this scenario. To configure the Cluster Manager to collect the alerts from remote cluster"},{"title":"Configuring CIMC","url":"r_configuring_cimc.html","description":"Use the following configuration to configure the CIMC cluster: configure cimc enabled cluster cluster_name default username username default password password server IPv4address name cimc_server_name"},{"title":"Configuring Email Notification for Alerts","url":"r_configuring_email_notification.html","description":"You can configure the Ops Center to send the email notifications to a maximum of 10 recipients for the generated alerts. To configure email notifications for the alerts, use the following configurati"}]}]},{"title":"UCS Server Status Alerts","url":"r_ucs-server-status-alerts.html","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34.html","description":"If the UCS server is powered down or non-accessible, an alert will be set up to report and notify the UCS server availability status. The SMI metrics track and report faults on the UCS server. The ci"},{"title":"Monitoring CIMC Reachability","url":"r_monitoring.html","description":"To monitor CIMC reachability, log on to the CEE CLI Ops Center. You can enable CIMC, define a cluster, and add configuration for server IP and credentials using the commands in the Configuring CIMC s"}]},{"title":"Push KPIs to S3 Using Thanos","url":"g_push-kpis-to-s3.html","description":"SMI-6013","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5.html","description":"In this feature, the CEE provides you the option to backup the local data stored in Prometheus to a remote storage object, for example, Amazon Web Services (AWS) S3, by using Thanos. This feature pro","children":[{"title":"Architecture","url":"r_architecture.html","description":"This section describes the high-level architecture for the two deployment models namely, Thanos Sidecar and Thanos Receive with AWS S3 as the storage object. Architecture for Thanos Sidecar Deploymen"}]},{"title":"How it Works","url":"r_setup_2_3.html","description":"Thanos with Sidecar This section describes how to configure the Sidecar deployment with AWS S3. Prerequisites S3 bucket in AWS For more information about how to create an AWS S3 bucket, refer to the "}]},{"title":"Sending Prometheus Server Metrics to Grafana Cloud","url":"r_sending-prometheus-server-metrics-to-grafana-cloud.html","children":[{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"The CEE leverages the existing remote-write feature to support the following functionalities: Push the Prometheus server metrics to Grafana Cloud Enable the following Prometheus parameters for CNDP G"},{"title":"Remote Write Configuration","url":"r_configuring-remote-write-target-to-send-metrics.html","description":"Configuring Remote Write to Push Prometheus Metrics To push the Prometheus metrics to Grafana Cloud using remote-write, use the following sample configuration: prometheus remote-write target demo url"}]},{"title":"K8s Certificates Auto-Renewal","url":"g_k8s-cert-auto-renewal_2.html","children":[{"title":"Certificate Management with Kubeadm","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_2.html","description":"In kubeadm v1.21.0, client certificates generated by kubeadm expire after 1 year. The root certificates expires in 10 years. This feature enables monitoring and automatic renewal of kubeadm certifica"},{"title":"How it Works","url":"r_how-it-works_2_3_4_5_2.html","description":"This section describes the sequence of operation for the feature. The certificates in CM managed K8s clusters, control planes, workers, and external ETCD nodes is checked every 12 hours. If any certi"}]},{"title":"OnDemand LDAP Connectivity Check","url":"g_ondemand-ldap-connectivity-check_2.html","description":"SMI-8405","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_2.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_2.html","description":"Revision Details Release First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_2.html","description":"The SMI Ops Center provides an external authentication using LDAP support. The LDAP configuration can be configured in the SMI Ops Center using CLI or the RESTCONF APIs. This feature enables you to v"},{"title":"How it Works","url":"r_how-it-works_2_1.html","description":"This section describes how the feature works. How to Validate a New Configuration The steps to validate a new LDAP configuration are as follows. Login to the SMI Ops Center. Provide the LDAP new conf"}]}]},{"title":"Alerts Config Mode Command Reference","url":"g_smi_cee_alerts.html","children":[{"title":"alerts","url":"r_alerts_command.html","description":"Configures system alerts. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalerts repeat-interval-min repeat_interval repeat-interval-min repeat_inte"},{"title":"alerts rules group","url":"r_alerts_rules_group_command.html","description":"Configures Prometheus alerting rule group. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalerts rules group group_name [ interval-seconds evaluati"},{"title":"alerts rules group rule","url":"r_alerts_rules_group_rule_command.html","description":"Configures alerting rule definition. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalerts rules group rule alerting_rule_name { duration true_cond"},{"title":"alerts rules group rule annotation","url":"r_alerts_rules_group_rule_annotation_command.html","description":"Configures annotation to attach to an alert. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalerts rules group rule annotation annotation_name valu"},{"title":"alerts rules group rule label","url":"r_alerts_rules_group_rule_label_command.html","description":"Configures labels to attach to the alert rule time series. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalerts rules group rule label [ label_nam"},{"title":"alerts silence add","url":"r_alerts_silence_add_command.html","description":"Adds silence alerts. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxalerts silence add { duration-hours hours | comment comment | matchers } duration-hours hoursSpe"},{"title":"alerts silence add matchers","url":"r_alerts_silence_add_matchers_command.html","description":"Configures list of label values to filter alerts. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxmatchers { name label_name | value filter_string | isRegex { false "},{"title":"alerts silence rules","url":"r_alerts_silence_rules_command.html","description":"Displays alert silence rule information. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalert silence rules { id silence_id | state silence_state |"},{"title":"alerts silence rules delete","url":"r_alerts_silence_rules_delete_command.html","description":"Deletes silence alerts. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxalerts silence rules delete Use this command to delete silence alerts."},{"title":"show alerts active detail","url":"r_alerts_active_detail_command.html","description":"Displays detailed history of active alerts. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxshow alert history active detail Use this command to view detailed histor"},{"title":"show alerts active summary","url":"r_alerts_active_summary_command.html","description":"Displays summary history of active alerts. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxshow alert history active summary Use this command to view summary history"},{"title":"show alerts history detail","url":"r_alerts_history_detail_command.html","description":"Displays detailed alert history. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxshow alert history detail Use this command to view detailed alert history."},{"title":"show alerts history summary","url":"r_alerts_history_summary_command.html","description":"Displays summary alert history. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxshow alert history summary Use this command to view summary alert history."}]},{"title":"Bulk Statistics Config Mode Command Reference","url":"g_smi_cee_bulk_stats.html","children":[{"title":"bulk-stats","url":"r_bulk-stats_command.html","description":"Configures bulk statistics parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxbulk-stats { enable { false | true } | user user_name | exter"},{"title":"bulk-stats current","url":"r_bulk-stats_current_command.html","description":"Displays the list of current bulk statistics. Privilege LevelSecurity Administrator, Administrator Command ModeExec > CEE Syntaxshow bulk-stats current [ uid unique_id | namespace bulk_statistics_nam"},{"title":"bulk-stats pod-query","url":"r_bulk-stats_pod-query_command.html","description":"Configures the queries for retriving the bulk statistics. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxbulk-stats pod-query field_name { query qu"},{"title":"bulk-stats query","url":"r_bulk-stats_query_command.html","description":"Configures the query to retrive bulk statistics data. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxbulk-stats query query_name { expression expre"},{"title":"bulk-stats vnf-alias","url":"r_bulk-stats_vnf-alias_command.html","description":"Configures the VNF alias for a given namespace. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxbulk-stats vnf-alias namespace alias alias namespace"}]},{"title":"Cluster Exec Mode Command Reference","url":"g_smi_cee_cluster.html","children":[{"title":"show cluster configmaps","url":"r_cluster_configmaps_command.html","description":"Displays the current configuration maps. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster configmaps namespace configmap_name namespaceSpecify the configmap na"},{"title":"cluster configmaps detail","url":"r_cluster_configmaps_detail_command.html","description":"Displays configmap details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcluster configmaps namespace configmap_name detail Use this command to view configmap details."},{"title":"cluster connect","url":"r_cluster_connect_command.html","description":"Connect to and debug K8s pods and containers. Command ModeExec Syntaxcluster connect namespace namespace pod-namepod_name containercontainer_name namespaceSpecify the node namespace.Must be a string."},{"title":"cluster ingresses detail","url":"r_cluster_ingresses_detail_command.html","description":"Displays ingress details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcluster ingresses namespace ingress-name ingress_name host-name host_name detail Use this command"},{"title":"cluster nodes detail","url":"r_cluster_nodes_detail_command.html","description":"Displays node details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcluster nodes node_name detail Use this command to view node details."},{"title":"cluster pods delete","url":"r_cluster_pods_delete_command.html","description":"Deletes pods. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcluster pods namespace pod_name delete Use this command to delete pods."},{"title":"cluster pods detail","url":"r_cluster_pods_detail_command.html","description":"Displays pod details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcluster pods namespace pod_name detail Use this command to view pod details."},{"title":"cluster services detail","url":"r_cluster_services_detail_command.html","description":"Displays cluster service details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcluster services namespace service_name detail Use this command to view cluster service d"},{"title":"show cluster","url":"r_cluster_command.html","description":"Displays the cluster details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster Use this command to view the cluster details."},{"title":"show cluster ingresses","url":"r_cluster_ingresses_command.html","description":"Displays the current ingresses. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster ingresses namespace [ ingress-name ingress_name host-name host_name ] namespac"},{"title":"show cluster namespaces","url":"r_cluster_namespaces_command.html","description":"Configures the current namespace. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster namespaces namespace [ smi-application | istio-enabled ] namespaceSpecify th"},{"title":"cluster nodes","url":"r_cluster_nodes_command.html","description":"Displays the current nodes in the cluster. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster nodes node_name [ status status | version version | ip ip_address |"},{"title":"show cluster persistent-volume-claims","url":"r_cluster_persistent-volume-claims_command.html","description":"Displays the current persistent volume claims. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster persistent-volume-claims namespace pvc_name [ status | volume v"},{"title":"show cluster persistent-volumes","url":"r_cluster_persistent-volumes_command.html","description":"Displays the current presistent volume details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster persistent-volumes pvc_name status pvc_nameSpecify the persist"},{"title":"show cluster pods","url":"r_cluster_pods_command.html","description":"Displays the current pod details. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster pods namespace [ pod-name pod_name | ready readiness | status | restarts | s"},{"title":"show cluster services","url":"r_cluster_services_command.html","description":"Displays the current services in the cluster. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxshow cluster services namespace service-name service_name [ cluster-ip cluste"}]},{"title":"Debug Exec Mode Command Reference","url":"g_smi_cee_debug.html","children":[{"title":"tac-debug-pkg create","url":"r_tac-debug-pkg_create_command.html","description":"Creates the TAC debug package. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtac-debug-pkg create { from yyyy-mm-dd_hh:mm:ss | to yyyy-mm-dd_hh:mm"},{"title":"tac-debug-pkg create cores-filter","url":"r_tac-debug-pkg_create_cores-filter_command.html","description":"Configures the filter for gathering cores. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtac-debug-pkg create cores-filter { process process_name "},{"title":"tac-debug-pkg create logs-filter","url":"r_tac-debug-pkg_create_logs-filter_command.html","description":"Configures filter for gathering logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtac-debug-pkg create logs-filter { pod_name pod_name | namespa"},{"title":"tac-debug-pkg merge","url":"r_tac_debug_pkg_merge.html","description":"Merges all the data collection files into a single data collection file based on the TAC ID. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax tac-"},{"title":"tac-debug-pkg delete","url":"r_tac-debug-pkg_delete_command.html","description":"Removes the TAC debug package based on the TAC ID. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtac-debug-pkg delete tac-id tac_id tac-id tac_idS"},{"title":"tac-debug-pkg status","url":"r_tac-debug-pkg_status_command.html","description":"Displays the status of the current TAC debug gathering session. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtac-debug-pkg status Use this comman"}]},{"title":"Grafana Config Mode Command Reference","url":"g_smi_cee_grafana.html","children":[{"title":"grafana","url":"r_grafana_command.html","description":"Configures Grafana parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgrafana enable { false | true } enable { false | true }Specify to ena"},{"title":"grafana dashboards","url":"r_grafana_dashboards_command.html","description":"Configures Git repositories containing dashboards. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxgrafana dashboards [ git_repo_name ] git-url git_"}]},{"title":"Logging Config Mode Command Reference","url":"g_smi_cee_logging.html","children":[{"title":"logging fluent tls","url":"r_logging_fluent_tls_command.html","description":"Configures TLS parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxtls disable-tls { false | true }Specify to enable or disable TLS communci"},{"title":"logging listener","url":"r_logging_listener_command.html","description":"Enables Logs Listener for incoming logs. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlistener enable external-ip ip_address udp-port port_number"},{"title":"logging loki","url":"r_logging_loki_command.html","description":"Configures the Grafana Loki parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxlogging loki [ enable | retention-period retention_period ] "}]},{"title":"Prometheus Config Mode Command Reference","url":"g_smi_cee_prometheus.html","children":[{"title":"prometheus","url":"r_prometheus_command.html","description":"Configures Prometheus-related parameters. Command ModeExec > Global Configuration Syntaxprometheus { scrape-interval scrape_interval | volume volume_size | query-mode query_mode } query-mode query_mo"},{"title":"prometheus federation","url":"r_prometheus_federation_command.html","description":"Configures scraping metrics from other cluster. Command ModeExec > Global Configuration Syntaxprometheus federation [ subordinates ip_address/host_name ] subordinates ip_address/host_nameSpecify the "},{"title":"prometheus federation exported-query-nodes","url":"r_prometheus_federation_exported-query-nodes_command.html","description":"Configures the exported query nodes. Command ModeExec > Global Configuration Syntaxprometheus federation exported-query-nodes [ address ip_address | port port_number ] address ip_addressSpecify the I"},{"title":"prometheus kvm-metrics defaults","url":"r_prometheus_kvm-metrics_defaults_command.html","description":"Configures default values used by all connections. Command ModeExec > Global Configuration Syntaxkvm-metrics defaults private-key default_private_key user default_user private-key default_private_key"},{"title":"prometheus kvm-metrics monitor-server","url":"r_prometheus_kvm-metrics_monitor-server_command.html","description":"Configures monitor server targets. Command ModeExec > Global Configuration Syntaxkvm-metrics monitor-server { address ip_address | hostname host_name | user user | private-key private_key } address i"},{"title":"prometheus recording-rules group","url":"r_prometheus_recording-rules_group_command.html","description":"Configures Prometheus record rule group. Command ModeExec > Global Configuration Syntaxprometheus recording-rules group record_rule_group_name { interval-seconds evaluation_interval } interval-second"},{"title":"prometheus recording-rules group rule","url":"r_prometheus_recording-rules_group_rule_command.html","description":"Configures record rule definition. Command ModeExec > Global Configuration Syntaxprometheus recording-rules group record_rule_group_name rule record_name { expression rule_expression } expression rul"},{"title":"prometheus recording-rules group rule label","url":"r_prometheus_recording-rules_group_rule_label_command.html","description":"Configures labels to attach to the record rule time series. Command ModeExec > Global Configuration Syntaxprometheus recording-rules group record_rule_group_name rule record_name { label label_name v"},{"title":"prometheus server-settings","url":"r_prometheus_server-settings_command.html","description":"Configures local cluster settings to enable scraping from remote manager. Command ModeExec > Global Configuration Syntaxserver-settings { external-ip ip_address | ssl-key ssl_key_certificate | ssl-cr"}]},{"title":"SNMP Config Mode Command Reference","url":"g_smi_cee_snmp.html","children":[{"title":"snmp-trapper","url":"r_snmp-trapper_command.html","description":"Configures the SNMP trapper. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsnmp-trapper enable { false | true } enable { false | true }Specify to "},{"title":"snmp-trapper source-ip-routes","url":"r_snmp-trapper_source-ip-routes_command.html","description":"Enables the binding to source IP for SNMP routing. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsnmp-trapper enable { false | true } source-ip-ro"},{"title":"snmp-trapper source-ip-routes source-external-vips","url":"r_snmp-trapper_source-ip-routes_source-external-vips_command.html","description":"Configures the source external VIP routing by namespace. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsnmp-trapper enable { false | true } source"},{"title":"snmp-trapper v2c-target","url":"r_snmp-trapper_v2c-target_command.html","description":"Configures the list of SNMP v2c trap recievers. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsnmp-trapper enable { true } v2c-target { url | comm"},{"title":"snmp-trapper v3-target","url":"r_snmp-trapper_v3-target_command.html","description":"Configures the list of SNMP v3 trap receivers. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsnmp-trapper enable { true } v3-target { url port por"},{"title":"snmp-trapper v3-engine-id","url":"r_snmp_trapper_v3_engine_id.html","description":"Configures the source engine ID for v3 traps. Privilege Level Security Administrator, Administrator Command Mode Exec > Global Configuration Syntax snmp-trapper enable { true } v3-engine-id { source_"}]},{"title":"VES Adapter Config Mode Command Reference","url":"g_smi_cee_ves.html","children":[{"title":"ves-adapter","url":"r_ves-adapter_command.html","description":"Configures VES Adapter parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxves-adapter enable { false | true } [ [ [ url url | user-name use"},{"title":"ves-adapter measurement-group","url":"r_ves-adapter_measurement-group_command.html","description":"Configures the list of additional measurement groups. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxves-adapter enable { true } measurement-group "},{"title":"ves-adapter measurement-group measurement","url":"r_ves-adapter_measurement-group_measurement_command.html","description":"Configures the list of additional measurement queries. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxves-adapter enable { true } measurement-group"}]},{"title":"Postgres Config Mode Command Reference","url":"g_cee_postgres.html","children":[{"title":"postgres","url":"r_postgres_command.html","description":"Configures Postgres parameters. Privilege LevelAdministrator, Security Administrator Command ModeExec > Global Configuration Syntaxpostgres purge-persisted-data { false | true } purge-persisted-data "}]}]},{"title":"Common Data Layer: Configuration and Administration","url":"g_part_cdl.html","description":"This part describes the procedures involved in configuring the Cisco Common Data Layer (CDL).","children":[{"title":"Cisco Common Data Layer","url":"g_cdl_config.html","children":[{"title":"Overview","url":"r_cdl_overview.html","description":"The Cisco Common Data Layer (CDL) is a high-performance next generation Key-value (KV) data store layer for all the Cloud Native applications. These applications use the CDL as a state management wit","children":[{"title":"Revision History","url":"r-cdl-revision-history.html","description":"Revision History Revision Details Release CDL supports identifying and taking necessary action on stale index records. Allows the peer site to process GR failover notifications of the isolated site. "}]},{"title":"Architecture","url":"r_cdl_architecture.html","description":"You can deploy CDL in the following modes: HA Only Geo HA For HA Only deployments, redundancy is provided for blade failures at the local site. However, session redundancy is not provided for HA Only","children":[{"title":"CDL Endpoint","url":"r_cdl_datastore.html","description":"The CDL endpoint pod is the front-end for receiving requests from NF application towards CDL. The CDL endpoint exposes gRPC over HTTP2 interface towards the NF client\u0027s for processing database servic","children":[{"title":"Single Compute or Node Failure","url":"r_single_compute_or_node_failure_cdl_endpoint.html","description":"When a single compute or node fails, one of the cdl-ep pods goes down and tries to schedule on the other session nodes. If all the other session nodes already have a cdl-ep, pod scheduling will not t"},{"title":"Multiple Compute or Node Failures","url":"r_multi_compute_or_node_failure_cdl_endpoint.html","description":"If all the session nodes fails, it brings down all the cdl-ep pods along with it. When Geo High Availability (GeoHA) is configured, the NF application talks to the remote site to continue processing "}]},{"title":"Slot","url":"r_set_slot_microservice.html","description":"The CDL Slot pod stores the actual session data. The CDL endpoint connects to all the Slot pods within the cluster to replicate the session data to all the pods. These microservices are K8s pod deplo","children":[{"title":"Single Compute or Node Failure","url":"r_single_compute_or_node_failure_slot.html","description":"When there is a single compute failure, the CDL continues to function with one less cdl-ep pod and replica for some Slots and Index pods. With a single replica, the CDL Slot map continues to process "},{"title":"Multiple Compute or Node Failures","url":"r_multi_compute_or_node_failure_slot.html","description":"In case of multiple compute failures, all the replicas for a Slot map goes down. For instance, If two nodes are down, both the replicas of a Slot map goes down (the default value of Slot replica coun"}]},{"title":"Indexing","url":"r_indexing.html","description":"The Indexing containers contain indexing data. There are two key pieces of information stored in the Index pod: Primary key to Slot Map ID. Unique secondary key to primary key mapping. The index entr","children":[{"title":"Single Compute or Node Failure","url":"r_single_compute_or_node_failure_index.html","description":"When there is a single compute failure, the CDL continues to function with one less cdl-ep pod and replica for some Slots and Index pods. With a single replica, the CDL Slot map continues to process "},{"title":"Multiple Compute Failures","url":"r_multi_compute_or_node_failure_index.html","description":"In case of multiple compute failures, all the replicas for a Slot map goes down. For instance, If two nodes are down, both the replicas of a Slot map goes down (the default value of Slot replica coun"}]},{"title":"ETCD","url":"r_etcd.html","description":"The CDL uses the etcd (an open-source key-value store) as the DB service discovery. When the CDL pods (Endpoint, Slot or Index) is started, killed or shutdown, it results in updating the event to etc"},{"title":"Kafka","url":"r_cdl_kafka_pod.html","description":"The Kafka pod replicates data between the local replicas and across sites for Indexing. For replication across sites, Kafak uses MirrorMaker. The Kafka pods are deployed on the session vms with the r"},{"title":"Zookeeper","url":"r_cdl_zookeeper_pod.html","description":"Kafka uses the Zookeeper pod for managing Kafka clusters and coordinating with Kafka brokers."},{"title":"Mirror Maker","url":"r_cdl_mirrormaker_pod.html","description":"The Mirror Maker pod geo-replicates the indexing data to the remote CDL sites. It takes data from the remote sites and publishes it to the local Kafka site for the appropriate Indexing instances to p"}]},{"title":"CDL Deployment Models","url":"r_cdl_deployment_models.html","description":"This section describes the different CDL deployment models, namely: CDL HA. Geo HA deployment. The CDL HA deployment involves the following: Each CDL pod consists of a minimum of two replicas for hig","children":[{"title":"Call Flows","url":"r_call_flows.html","description":"This section describes the following call flows: Finding Record by Primary Key Finding Record by Unique Key Creating a Record Updating a Record Deleting a Record Notification to NF on Timer Expiry Ge","children":[{"title":"Finding Record by Primary Key","url":"r_finding_a_record_primary_key_call_flow.html","description":"This section describes the call flow of finding a record by primary key. Finding Record by Primary Key - Call Flow"},{"title":"Finding Record by Unique Key","url":"r_finding_a_record_unique_key_call_flow.html","description":"This section describes the call flow of finding a record by unique key. Finding Record by Unique Key - Call Flow"},{"title":"Creating a Record","url":"r_creating_a_record_call_flow.html","description":"This section describes the call flow of creating a record. Creating a Record - Call Flow"},{"title":"Updating a Record","url":"r_updating_a_record_call_flow.html","description":"This section describes the call flow of updating a record. Updating a Record - Call Flow"},{"title":"Deleting a Record","url":"r_deleting_a_record.html","description":"This section describes the call flow of deleting a record. Deleting a Record - Call Flow"},{"title":"Notification to NF on Timer Expiry","url":"r_notification_to_NF_on_timer_expiry.html","description":"This section describes the call flow of session notification to NF on timer expiry. Session Notification to NF - Call Flow"},{"title":"Geo Replication - Create","url":"r_Geo_Replication_create.html","description":"This section describes the call flow of creating primary and unique keys for Geo Replication. Geo Replication Call Flow - Creating Geo"},{"title":"Geo Replication - Update","url":"r_Geo_Replication_update.html","description":"This section describes the call flow of updating primary and unique keys for Geo Replication. Geo Replication Call Flow - Updating Geo"},{"title":"Geo Replication - Delete","url":"r_Geo_Replication_delete.html","description":"This section describes the call flow of deleting primary and unique keys for Geo Replication. Geo Replication Call Flow - Deleting Geo"}]},{"title":"Identifying Stale Index Records","url":"r-cdl-identifying-stale-index-records.html","description":"In certain scenarios, the unique keys in index pods of the CDL are stale (presumed to be deleted). The NFs may try to use these unique keys for another record, as the CDL does not show the stale reco"},{"title":"Deploying CDL through Network Functions (NFs)","url":"r_cdl_deploying_through_nfs.html","description":"You can deploy CDL through the Network Functions (NFs) \u2013 Session Management Function (SMF) and Policy Control Function (PCF) \u2013 Ops Center. For deploying CDL through SMF Ops Center, see Cisco Common D"},{"title":"CDL Geo Replication (GR) Deployment","url":"r_cdl_geo-replication_deployment.html","description":"This section describes how to deploy CDL for Geo Replication (GR).","children":[{"title":"Prerequisites for CDL GR","url":"r_prerequisites_for_cdl_gr.html","description":"Before deploying CDL GR, configure the following: CDL Session Database and define the base configuration. Kafka for CDL. Zookeeper for CDL.","children":[{"title":"Configuring the CDL Session Database and Defining the Base Configuration","url":"r_configuring_the_cdl_session_database_and_defining_the_base_configuration.html","description":"This section describes how to configure the CDL session database and define the base configuration through the NF (SMF or PCF) Ops Center. Open the NF Ops Center console and navigate to the datastore"},{"title":"Configuring Kafka for CDL","url":"r_cdl_kafka_config.html","description":"This section describes how to configure Kafaka for the CDL. Open the NF Ops Center console and navigate to the datastore CLI. Use the following configuration. configure cdl kafka replica num_replicas"},{"title":"Configuring Zookeeper for CDL","url":"r_cdl_configuring_zookeeper.html","description":"This section describes how to configure the Zookeeper for CDL. To configure Zookeeper for CDL, use the following configuration: Open the NF Ops Center console and navigate to the datastore CLI. Execu"}]},{"title":"Deploying CDL for Geo Replication (GR)","url":"t_cdl_deploying_gr.html","description":"For Geo Replication (GR), you have to create two separate HA systems independently and configure the Geo HA for communications with the remote sites. By default, CDL is deployed with two replicas for"},{"title":"Geo Replication (GR) Failover Notification","url":"r-geo-replication-failover-detection.html","description":"The CDL is equipped with Geo Replication (GR) failover notifications, which can notify the timer expiry of session data and bulk notifications to the currently active site. The CDL uses Border Gatewa"},{"title":"GR Failover Notification Records of Peer Site","url":"r-cdl-GR-failover-notification-records-peer-site.html","description":"The CDL sends notification about records only to its local application. The notification is based on the system-id and Timer Expiry parameters of the records. In a GR setup, when a site is isolated f"},{"title":"Triggering Remote Index Sync","url":"r-cdl-triggering-remote-index-sync.html","description":"The CDL provides a utility to sync the indexes with its remote peers. The utility can be used in the scenarios such as post site isolation, where there is a huge difference in the number of index rec"}]},{"title":"CDL Alarms","url":"r-cdl-alarms.html","description":"This section describes the alarms in the CDL deployment. The following alarms are introduced to detect failure: Alarms Alarm Severity Description cdlLocalRequestFailure critical This alarm is trigger"}]},{"title":"CDL Overload Protection","url":"r_CDL_overload_protection.html","description":"The CDL offers overload protection at endpoints whenever the system reaches its full capacity. With overload protection at endpoints, the CDL can: Reject create requests if maximum soft limit is reac","children":[{"title":"CDL Maximum Capacity","url":"r_CDL_maximum_capacity.html","description":"You can define the maximum capacity per shard in CDL using the following parameters: slotRecordCapacity (Default value: 1M/shard) indexRecordCapacity (Default value: 10M/shard) slotRecordsSizeCapacit"},{"title":"Triggering Alerts for Overloading in CDL","url":"r_triggering_alerts_for_overloading_CDL.html","description":"The CDL is overloaded whenever the system reaches its maximum capacity. Also, the CDL triggers the following alerts to protect the system from overloading: cdlOverloaded - major - This alert is trigg"},{"title":"Configuring Overload Protection","url":"r_configuring_overload_protection.html","description":"The the existing CDL overload protection configuration is replaced with a new configuration. Earlier, the overload protection was enabled by default with hard coded limits of 1 million records per sl"},{"title":"Verifying the Alerts","url":"r_verifying_the_alerts.html","description":"You can verify the alerts using the following command in CEE Ops Center CLI: show alerts active { detail | summary } Also, you can filter the alerts in CEE Ops Center CLI using the following command:"}]},{"title":"Troubleshooting Information","url":"r_troubleshooting_cdl_configuration_issues.html","description":"This section describes how to resolve some of the known issues in CDL configuration. Before proceeding with troubleshooting CDL configurations, consider the following: system-id is unique across the ","children":[{"title":"CDL Index are not Replicated Accurately","url":"r_cdl_index_are_not_replicated.html","description":"This section describes how to replicate the CDL Index pods accurately. Issue Description The session data is not replicated properly to the remote site. Identifying the Issue The data added at one si"},{"title":"CDL Operations are Failing but the Connection is Successful","url":"r_cdl_operations_fail_but_connection_success.html","description":"This section describes how to resolve the CDL operation failure issue. Issue Description The NF connects to the CDL, but the session operations such as find, create, update, and delete fail. Identify"},{"title":"CDL Pods are Down","url":"r_cdl_pods_are_not_running.html","description":"This section describes how to bring up the CDL pods when they are down. Issue Description The CDL pods are not in the \u0022running\u0022 state because of incorrect CDL configuration. Identifying the Issue Ver"},{"title":"Mirror Maker Pod is in Not Ready State","url":"r_mirror_maker_pods_init_state.html","description":"This section describes how to move the Mirror Maker pods that remain in the \u0022Not Ready\u0022 state. Issue Description The Mirror Maker pods are not in running state because of connectivity issues on the r"},{"title":"Early or Delayed Notification for Purging Record from CDL","url":"r_notification_for_purging_record_from_cdl.html","description":"This section describes how to resolve the early or delayed notification sent for purging record from CDL. Issue Description The notification sent for purging record from CDL is either early or delaye"},{"title":"Sessions Piling Up or Overloading on CDL","url":"r_sessions_piling_up_or_overloading_on_CDL.html","description":"This section describes how to resolve the sessions pile up on CDL. Issue Description The number of sessions pile up because of some network issues or an unexpected number of sessions on CDL, which do"},{"title":"User-Defined Scheduling and Pod Placement","url":"r_user_defined_scheduling_and_pod_placement.html","description":"This section describes how to resolve unschedulable pods issue that may arise by using single node label for scheduling, node affinity, and pod placement in CDL pods. Issue Description The nodeType p"}]},{"title":"Monitoring","url":"r_cdl_monitoring.html","description":"This section describes how to monitor the status and records in CDL. You can also monitor CDL through Grafana dashboards.","children":[{"title":"Monitoring CDL through Grafana Dashboards","url":"r_cdl_monitoring_cdl_via_grafana_dashboards.html","description":"You can monitor various activities in CDL through the Grafana dashboard called CDL Dashboard, which is bundled by default. The CDL Dashboard displays the TPS towards CDL for various pods like cdl-end"},{"title":"Verifying the Status and Records in CDL","url":"r_cdl_verifying_the_status_and_records_of_cdl.html","description":"You can verify the status of the CDL and inspect the data inserted by the client using the cdl show status command in the CDL Ops Center. For more information on cdl show status command, see the UCC "}]}]},{"title":"CDL Metrics","url":"g_cdl_metrics.html","children":[{"title":"Overview","url":"r_cdl_metrics_overview.html","description":"This chapter describes the Key Performance Indicators (KPIs) available to monitor and analyze the performance of the CDL. The label name and description of the metrics used in CDL are defined in the "},{"title":"Endpoint Metrics","url":"r_cdl_endpoint_metrics.html","description":"datastore_requests_total Description: Provides the total count of the received datastore create requests. Label: db, operation, errorCode, errorMessage Type: Counter Data Type: Float64 datastore_requ"},{"title":"Index Application Metrics","url":"r_cdl_index_metrics.html","description":"indexing_requests_total Description: Provides the total count of records in the Index. Label: db, operation, shardId, errorCode, errorMessage Type: Counter Data Type: Float64 indexing_requests_durati"},{"title":"Slot Application Metrics","url":"r_cdl_slot_metrics.html","description":"slot_requests_total Description: Provides the total count of the received datastore create request. Label: db, operation, shardId, errorCode, errorMessage Type: Counter Data Type: Float64 slot_reques"}]},{"title":"CDL Config Mode Command Reference","url":"g_cdl_cli_reference.html","children":[{"title":"cdl","url":"r_cdl_command.html","description":"Configures the next generation Cisco Data Layer (CDL). Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl { datastore datastore_name { cluster-id c"},{"title":"cdl datastore","url":"r_cdl_datastore_command.html","description":"Configures the list of datastores to be deployed. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl datastore datastore_name { cluster-id cluster_"},{"title":"cdl datastore endpoint","url":"r_cdl_datastore_endpoint_command.html","description":"Configures the endpoint parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl datastore datastore_name endpoint { external-ip ipv4_address"},{"title":"cdl datastore settings","url":"r_cdl_datastore_settings_command.html","description":"Configures the CD endpoint parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxsettings index-timeout-ms index_timeout slot-timeout-ms slot_"},{"title":"cdl index","url":"r_cdl_index_command.html","description":"Configures the index. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl datastore datastore_name index { map index_partitions | write-factor write"},{"title":"cdl logging","url":"r_cdl_logging_command.html","description":"Configures the CDL logging parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl logging default-log-level default_log_level default-log-l"},{"title":"cdl logging logger","url":"r_cdl_logging_logger_command.html","description":"Configures logs for each module. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl logging logger cdl_module_name level default_log_level cdl_modu"},{"title":"cdl notification","url":"r_cdl_notification_command.html","description":"Configures the notification server parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl datastore slot notification { host host_name | li"},{"title":"cdl remote-site","url":"r_cdl_remote-site_command.html","description":"Configures the remote-site configuration parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl remote-site system_id { db-endpoint { host "},{"title":"cdl remote-site db-endpoint","url":"r_cdl_remote-site_db-endpoint_command.html","description":"Configures the list of remote DB endpoints. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl remote-site system_id db-endpoint { host host_name |"},{"title":"cdl remote-site kafka-server","url":"r_cdl_remote-site_kafka-server_command.html","description":"Configures the list of Kafka servers. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl remote-site system_id kafka-server host_name port_number h"},{"title":"cdl slot","url":"r_cdl_slot_command.html","description":"Configures the Slot configuration parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl datastore datastore_name slot { map slot_partition"},{"title":"cdl ssl-config","url":"r_cdl_ssl-config_command.html","description":"Configures SSL configuration parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxssl-config enable { false | true } enable { false | true };"},{"title":"cdl ssl-config certs","url":"r_cdl_ssl-config_certs_command.html","description":"Configures database endpoint specific SSL configuration parameters. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcerts ip ip_address ssl-key ssl_"},{"title":"clear sessions","url":"r_clear_sessions_command.html","description":"Clear all datastore sessions data. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcdl clear sessions [ db-name db_name | filter { condition query_expression | key key_val"},{"title":"clear sessions filter","url":"r_clear_sessions_filter_command.html","description":"Configures the filter parameters used for queries. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxfilter { condition query_expression | key query_s"},{"title":"kafka","url":"r_kafka_command.html","description":"Configures the Kafka for Geo Replication. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl kafka { enable-JMX-metrics { false | true } | enable-p"},{"title":"kafka external-ip","url":"r_kafka_external-ip_command.html","description":"Configures the IPs that are exposed to the external servers. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl kafka external-ip ipv4_address port"},{"title":"show sessions count detailed","url":"r_show_sessions_count_detailed_command.html","description":"Displays detailed session count information. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl show sessions count detailed [ db-name db_name | fi"},{"title":"show sessions count detailed filter","url":"r_show_sessions_count_detailed_filter_command.html","description":"Configures the filter parameters used for queries. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxfilter { condition query_expression | key query_s"},{"title":"show sessions count summary","url":"r_show_sessions_count_summary_command.html","description":"Displays summary session count information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcdl show sessions count summary [ db-name db_name | filter { condition query_ex"},{"title":"show sessions count summary filter","url":"r_show_sessions_count_summary_filter_command.html","description":"Configures the filter parameters used for queries. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxfilter { condition query_expression | key query_s"},{"title":"show sessions detailed","url":"r_show_sessions_detailed_command.html","description":"Displays session details with data. Privilege Level Security Administrator, Administrator Syntax cdl show detailed [ db-name db_name | filter { condition query_expression | key key_value } | limit nu"},{"title":"show sessions detailed filter","url":"r_show_sessions_detailed_filter_command.html","description":"Configures the filter parameters used for queries. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxfilter { condition query_expression | key query_s"},{"title":"show sessions summary","url":"r_show_sessions_summary_command.html","description":"Displays session details without data. Privilege Level Security Administrator, Administrator Syntax cdl show sessions summary [ db-name db_name | filter { condition query_expression | key key_value }"},{"title":"show sessions summary filter","url":"r_show_sessions_summary_filter_command.html","description":"Configures the filter parameters used for queries. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxfilter { condition query_expression | key query_s"},{"title":"show status","url":"r_show_status_command.html","description":"Displays CDL status information. Privilege LevelSecurity Administrator, Administrator Command ModeExec Syntaxcdl show status [ db-name db_name ] db-name db_nameSpecify the name of the database.Must b"},{"title":"zookeeper","url":"r_zookeeper_command.html","description":"Configures the Zookeeper for Geo Replication. Privilege LevelSecurity Administrator, Administrator Command ModeExec > Global Configuration Syntaxcdl zookeeper { data-storage-size data_storage_size | "}]}]},{"title":"Subscriber Micorservices Infrastructure: Troubleshooting Guide","url":"g_part_troubleshooting.html","description":"This part describes how to troubleshoot the most common issues encountered in the SMI Cluster Manager.","children":[{"title":"SMI Cluster Manager - Validator","url":"g_smi_cluster_manager_validator.html","description":"This chapter describes the procedures required to perform validations on the cluster configurations and clusters using the SMI Cluster Manager Validator (validation tool).","children":[{"title":"SMI Cluster Manager - Validator","url":"r_smi_cluster_manager_validator.html","description":"The SMI Cluster Manager comes equipped with a tool called Validator, which enables validating cluster configurations prior to deployment and validating clusters after deployment. With Validator, you ","children":[{"title":"Prerequisites","url":"r_smi_cluster_manager_validator_prerequisites.html","description":"The following are the prerequisites for performing validations using SMI Cluster Manager Validator: SMI Cluster Manager."},{"title":"Validating Cluster Configurations using Validator","url":"r_validating_cluster_config_using_validator.html","description":"To validate the cluster configurations: Login to the SMI Cluster Manager CLI. Run the following command to validate the cluster configuration using the Validator. clusters cluster_name actions valida"},{"title":"Validating the Clusters after Deployment using the Validator","url":"r_validating_clusters_after_deployment.html","description":"Using the Validator, you can validate the status of different components within the cluster after deployment. To validate the clusters after deployment: Login to the SMI Cluster Manager CLI. Run the "},{"title":"Examples of CLI and REST API Mapping","url":"r_examples_cli_rest_api_mapping.html","description":"The SMI Cluster Manager supports RESTCONF APIs. You can call these APIs through REST calls. At present, the SMI Cluster Manager APIs supports VM provisioning through VMware EsXi environment alone. Th"}]}]},{"title":"Troubleshooting Information","url":"g_troubleshooting_known_issues.html","description":"This chapter describes the common issues associated with SMI components and its resolution.","children":[{"title":"Debugging OpenStack CSI Plugin for Kubernetes","url":"r_debugging_kubernetes_openstack_csi_plugin.html","description":"This section describes how to debug the OpenStack CSI plugin for Kubernetes. To debug the OpenStack CSI plugin for Kubernetes, validate the following: Connection to the OpenStack metadata service. Op"},{"title":"ErrImagePull for System Kubernetes Images","url":"r_resolving_errimagepull_for_kubernetes_images.html","description":"This section describes how to resolve the ErrImagePull status in system Kuberenetes images. Problem The Kubernetes kubelet cmdlet attempts to purge unused disk images and pods from the system, when t"},{"title":"Kubernetes Volumes Freezes on Node Shutdown","url":"r_kubernetes_volumes_hung_on_node_shutdown.html","description":"In the event of an unclean node shutdown, the detach and reattach logic of persistent volumes in Kubernetes are prone for issues. For more information on the issues, see . This section describes the "},{"title":"Log Forwarding - Missing or No Log","url":"r_log_forwarding_missing_no_log.html","description":"This section describes how to resolve the \u0022missing logs\u0022 issue when Log Forwarding is enabled. Problem Log forwarding is enabled, but logs are missing or not seen on the external collector. Resolutio"},{"title":"Show TAC Missing or No Information","url":"r_show_tac_missing_no_information.html","description":"This section describes how to resolve the failure of logs or Cores with the Show TAC feature. Problem When the Show TAC feature is executed, the logs or cores fail to show up in the Apache server. Re"},{"title":"Recovering Postgres Authentication","url":"r_recovering_postgres_authentication.html","description":"This section describes how to resolve recovering Postgres authentication issue. Problem The Postgres database is password protected. The passwords are stored as Kubernetes secrets. Also, the nodes in"},{"title":"Network Connection Reset","url":"r_Network_Error_Connection_Reset_by_Peer.html","description":"This section describes how to resolve the network connection reset issue in Geographical Redundancy (GR) deployment. Problem During GR deployments, the SMI Cluster Manager is deployed on one or more "},{"title":"Vulnerability Scan Reports a False Error Message During the Directory Listing","url":"r_false_vulnerability_scan_error_.html","description":"This section describes how to handle the false error that gets displayed during the vulnerability scan. Problem The Show TAC debug package interface requires the Director Listing feature configured. "}]}]},{"title":"SMI Release Change Reference","url":"g_smi-release-change-reference.html","children":[{"title":"UCC SMI - Release Change Reference","url":"g_ucc-smi-rcr-2020-02.html","children":[{"title":"New in Documentation","url":"r_new-in-documentation.html","description":"Information on new features, enhancements, and behavior changes in the Release Change Reference (RCR) document will now be available under the What\u2019s New in this Release section in the 5G release not"},{"title":"Feature and Behavior Changes Quick Reference","url":"r_feature-and-behavior-changes-quick-reference.html","description":"Features/Behavior Changes Introduced/Modified CPU Isolation 2023.04.1 Kubernetes 1.26 Upgrade 2023.04.1 UCS M7 Server Support 2023.04.1 XFS File System 2023.04.1 Cilium Addon Support 2023.03.1 CIMC C"},{"title":"CPU Isolation","url":"r_cpu-isolation.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37.html","description":"Revision Details Release First introduced. 2023.04.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"SMI provides a higher level of CPU isolation for VPP workers. With CPU isolation, no other processes can be scheduled on \u0022isolcpu\u0022 CPUs where VPP workers are pinned. SMI uses the host profile to defi"}]},{"title":"Kubernetes 1.26 Upgrade","url":"g_kubernetes-1-26-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Applicable Product (s) or Functional Area K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36.html","description":"Revision Details Release First introduced. 2023.04.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43.html","description":"With this release, the Kubernetes version is upgraded from 1.25 to 1.26."}]},{"title":"UCS M7 Server Support","url":"g_ucs-m7-server-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5.html","description":"Applicable Product (s) or Functional Area SMI Applicable Platforms Bare Metal Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Applicable Related Documentation UCC CEE "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40.html","description":"Revision Details Release First introduced. 2023.04.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9.html","description":"SMI Bare Metal supports the UCS C220 M7 server with a single socket for Private 5G deployments in this release. The M7 server is not supported for on-prem deployments. The Cisco UCS C220 M7 Rack Serv"}]},{"title":"XFS File System","url":"r_xfs-file-system_2.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_2.html","children":[{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_2.html","description":"Revision Details Release First introduced. 2023.04.1"},{"title":"Summary Data","url":"r_summary-data.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"SMI utilizes the XFS filesystem to install the /data partition using Mongo DB. XFS works only with new deployments. By default, all partitions are formatted using ext4. For more information, refer to"}]},{"title":"Cilium Addon Support","url":"r_cilium-addon-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3.html","description":"Applicable Product (s) or Functional Area K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_revision-history_2_3_4.html","description":"Revision Details Release First introduced. 2023.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Cilium is an open-source project that provides networking and security capabilities for Kubernetes clusters. It is used as a networking and security addon for Kubernetes, replacing or augmenting the "}]},{"title":"CIMC Certificate Renewal","url":"g_ucs-certificate-renewal.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35.html","description":"Revision Details Release First introduced. 2023.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"The Cisco\u00AE Integrated Management Controller (IMC) is a baseboard management controller that provides embedded server management for Cisco UCS\u00AE C-Series Rack Servers and Cisco UCS S-Series Storage Ser"}]},{"title":"Kubernetes 1.25 Upgrade","url":"g_kubernetes-1-25-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Applicable Product (s) or Functional Area K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Revision Details Release First introduced. 2023.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"With this release, the Kubernetes version is upgraded from 1.24 to 1.25."}]},{"title":"Support for new Prometheus Parameters","url":"r_new-prometheus-paramaters.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11.html","description":"Revision Details Release First introduced. 2023.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7.html","description":"The remote-write feature is enhanced to support new Prometheus parameters for CNDP Grafana Cloud integration. These parameters enable the user to fine tune their setup. The enhanced CEE dashboard has"}]},{"title":"Updated Versions for Third Party Software","url":"r_updated-versions-3rd-party-sw.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11.html","description":"Applicable Product (s) or Functional Area K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39.html","description":"Revision Details Release First introduced. 2023.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44_45_46_47_48.html","description":"The following software versions are upgraded in this release: Software Package Component(s) Previous Version Current Version containerd Inception server 1.6.4 1.7.2 Base image Cluster deployer Promet"}]},{"title":"Biased Terminologies Update","url":"r_biased-terminologies-update.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41.html","description":"Revision Details Release First introduced. 2023.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40.html","description":"The biased terms in the SMI Kubernetes context only are updated in this release. The term master is replaced by control plane. For release 2023.02.1, you can use both deprecated and replacement confi"}]},{"title":"Calico Version Upgrade","url":"r_calico-version-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Revision Details Release First introduced. 2023.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39.html","description":"The Calico solution is upgraded to version 3.24 in this release."}]},{"title":"CNDP Container Base Image Version Upgrade","url":"r_cndp-container-base-image-version-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23.html","description":"Revision Details Release First introduced. 2023.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"The container base image version for CNDP is upgraded from 18.04 LTS to 20.04 LTS. The previous 18.04 base image version is not supported for 2023.02.1 and future releases."}]},{"title":"Log Forwarding to Grafana Cloud","url":"g_log-forwarding-to-grafana-cloud.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3.html","description":"Revision Details Release First introduced. 2023.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37.html","description":"Log Forwarding allows you to forward the log entries (including the host and container level log entries) stored in the JournalD to the external collectors. This release supports Fluent-Bit log forwa"}]},{"title":"Pushing Prometheus Metrics to Grafana Cloud","url":"r_pushing-prometheus-metrics-to-grafana-cloud.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6.html","description":"Revision Details Release First introduced. 2023.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31.html","description":"The CEE leverages the existing remote-write feature to push the Prometheus server metrics to Grafana Cloud. This features supports the basic-auth and proxy-url fields of the remote-write configuratio"}]},{"title":"CNDP Support for cnUPF and cnMME","url":"r_cndp-support-for-cnupf-and-cnmme.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal Feature Default Setting Enabled \u2013 Always-on"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3.html","description":"This release supports cloud native deployment of UPF and MME. CNDP supports all cloud-based network functions including cnUPF, cnMME, AMF, and SMF in the same cluster for P5G deployments. This functi"}]},{"title":"Hardening System Reliability","url":"r_hardening-system-reliability.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7.html","description":"Applicable Product (s) or Functional Area K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41.html","description":"Currently, the grace period for nodes before it is marked as not ready is 20 seconds. The grace period is changed from 20 seconds to 5 minutes. This grace time will result in more tolerance of networ"}]},{"title":"IPSec Monitoring","url":"r_ipsec-monitoring.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44_45_46_47_48_49.html","description":"SMI allows monitoring of IPSec certificates\u2014sends certificate expiry alerts and updates the certificate through strongSwan configuration. The strongswan configuration supports a new server-secret con"}]},{"title":"Kubernetes 1.24 Upgrade","url":"r_kubernetes-1-24-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Applicable Product (s) or Functional Area K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36.html","description":"With this release, the Kubernetes version is upgraded from 1.22.7 or 1.23.8 to 1.24.6."}]},{"title":"Provisionable TLS Certificates","url":"r_provisionable-tls-certificates.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25.html","description":"This release supports provisioning of TLS certificates used for both REST APIs and K8s APIs. The certificates are configurable through cluster manager and Ops-center. You can configure a certificate "}]},{"title":"Release Version Upgrade","url":"r_release-version-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44.html","description":"The 2023.01.1.x version is upgradable from 2020.02.2.3.12+ for CNDP deployments. Contact your Cisco account representative for more information."}]},{"title":"Ubuntu Version Upgrade","url":"r_secured-linux-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Revision Details Release First introduced. 2023.01.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44_45_46.html","description":"SMI/CNDP uses a Linux kernel and a hardened Ubuntu base image on all nodes in a cluster. The Linux source operating system is upgraded from Ubuntu 18.04 to Ubuntu 20.04. The Ubuntu 18.04 version is n"}]},{"title":"Kubernetes 1.23 Upgrade","url":"g_kubernetes-1-23-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6_7_8_9_10_11.html","children":[{"title":"Summary Data","url":"r_summary-data_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Revision Details Release First introduced. 2022.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6.html","description":"With this release, the Kubernetes version is upgraded from 1.22 to 1.23."}]},{"title":"UCS M6 Server Support","url":"g_ucs-m6-server-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_1.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_2.html","description":"Applicable Product (s) or Functional Area SMI Applicable Platforms Bare Metal Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Applicable Related Documentation UCC CEE "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32.html","description":"Revision Details Release First introduced. 2022.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"SMI Bare Metal utilizes the UCS M6 server for SMI Cluster Manager deployments. For more information, see the UCC SMI Deployment Guide."}]},{"title":"UCS Server Status Alert","url":"g_ucs-server-status-alert.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42.html","description":"Revision Details Release First introduced. 2022.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_2.html","description":"If the UCS server is powered down or non-accessible, an alert will be set up to report and notify the UCS server availability status. The SMI metrics track and report faults on the UCS server. The ci"}]},{"title":"vSphere Datacenter Folder Support","url":"g_vsphere-datacenter-folder-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_11.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Applicable Product (s) or Functional Area SMI Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicab"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"Revision Details Release First introduced. 2022.03.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22.html","description":"SMI supports datacenters at the root level and within folders. If the datacenter is within a folder, then the entire path from the root until the datacenter is mentioned in the datacenter-path field."}]},{"title":"Kubernetes 1.22 Upgrade","url":"g_k8s-upgrade-v1-22.html","description":"SMI-6574","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_11_12.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12.html","description":"Revision Details Release First introduced. 2020.02.2.3.10"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28.html","description":"With this release, the Kubernetes is upgraded from 1.21 to 1.22."}]},{"title":"Parallel Node Upgrade with Deployment Zone Strategy","url":"g_parallel-deployment-with-deployment-zone_2.html","description":"SMI-4908","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_2.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_2.html","description":"Revision Details Release First introduced. 2020.02.3.10"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44_45_2.html","description":"The current in-service upgrade strategy only supports upgrading one node at a time. For bigger clusters, more than six nodes, this upgrade strategy leads to longer upgrade periods, which mostly excee"},{"title":"How it Works","url":"r_how-it-works_2_2.html","description":"This section describes how the feature works. This feature enables users to group servers into upgrade groups, which are similar to availability zones. The nodes in each upgrade group are upgraded in"},{"title":"Configuring the Deployment Zone Strategy","url":"r_configuring_2_3_2.html","description":"This section describes how to configure the upgrade groups for different nodes. Use the following command to configure the upgrade groups for different nodes.configuration enable-upgrade-zones true u"}]},{"title":"Path Based Routing for Inception Server","url":"g_path-based-ingress-inception-server_2.html","description":"SMI-7132","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_2.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_2.html","description":"Revision Details Release First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_2.html","description":"This feature enables the SMI to support path based URL routing for its nginx routing (external traffic) in Inception VM from the traditional host based approach for the following ingress. cli.smi-dep"},{"title":"Configuring the Path Based Routing for Inception Server","url":"r_configuring_2_3_4_2.html","description":"This section describes how to enable the path based routing for Inception server.Use the following argument in the deploy script to enable path based ingress for RESTCONF and CLI:-i or --path-based-i"}]},{"title":"CA Signed Certificate for Path-based Ingress","url":"g_signed-cert-known-authority_2.html","description":"SMI-8406","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_11_12_13_2.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13_14_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_2.html","description":"Revision Details Release Added support for provisioning CA certificates. 2023.01.0 First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_2.html","description":"This feature enables you to configure certificates signed by your own CA or external CA for path-based ingress URLs. You can provision the certificates used for both REST APIs and K8s APIs through cl"},{"title":"Configuring Certificate for Path-based Ingress","url":"r_configuring_2_1.html","description":"This section describes how to configure TLS and CA certificates for path-based ingress. Configuring TLS Certificate Use the following procedure from cluster deployer to configure the certificates for"}]},{"title":"OnDemand LDAP Connectivity Check","url":"g_ondemand-ldap-connectivity-check_3.html","description":"SMI-8405","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_3.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_3.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting "},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_3.html","description":"Revision Details Release First introduced. 2022.02.1"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_3.html","description":"The SMI Ops Center provides an external authentication using LDAP support. The LDAP configuration can be configured in the SMI Ops Center using CLI or the RESTCONF APIs. This feature enables you to v"},{"title":"How it Works","url":"r_how-it-works_3.html","description":"This section describes how the feature works. How to Validate a New Configuration The steps to validate a new LDAP configuration are as follows. Login to the SMI Ops Center. Provide the LDAP new conf"}]},{"title":"Alerts for Node Disk Partition Usage","url":"g_disk-filesystem-alert.html","description":"SMI-6940","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4.html","description":"Applicable Product (s) or Functional Area SMI Alerts Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Applicable Rela"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"Revision Details Release First introduced. 2022.01.1.02"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4.html","description":"In this release, two new alerts node-disk-running-Low-24hours and node-disk-running-Low-2hours are added to the kube-prometheus-node-alerting.rules rules group to notify the user when the node disk p"}]},{"title":"Network Policy for K8s Pods","url":"g_k8s-pod-network-policy.html","description":"SMI-5392","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_2.html","children":[{"title":"Summary Data","url":"r_feature_summary.html","description":"Applicable Product (s) or Functional Area SMI Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Applicable Related Doc"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38.html","description":"Revision Details Release First introduced. 2022.01.1.02"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27.html","description":"In this release, the SMI provides a network policy for the K8s pods to secure communication between the pods."},{"title":"Configuring the Network Policy for the K8s Pods","url":"r_configuration.html","description":"Use the following CLI configuration commands to enable or disable the network policy for the K8s pods. By default, the network policy is enabled. clusterscluster_name configuration enable-network-pol"}]},{"title":"Splitting Master and Additional Master VIPs into Separate VRRPs","url":"r_splitting-master-and-additional-master-vips-into-separate-vrrps.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-and-revision-history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary-data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support K8s-based application deployment support Applicable Platforms Bare Metal Feature Default Setting Enabled \u2013 Always-on"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Revision Details Release First introduced. 2022.01.1.02 2020.02.2.3.04"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38.html","description":"The CNDP allows you to configure an internal and external VIP as part of the cluster deployment. K8s uses the internal VIP while the ingress uses the external VIP to allow access to management interf"}]},{"title":"SSH Firewall Rules for Cluster Nodes","url":"g_cm-network-policy-rules-ssh.html","description":"SMI-5398","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_3.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11.html","description":"Applicable Product (s) or Functional Area SMI Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Applicable Related Doc"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Revision Details Release First introduced. 2022.01.1.02"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11.html","description":"In this release, the SMI provides additional SSH firewall rules in the network policy for the cluster nodes for improved CM security. It\u0027s recommended to set up an external firewall to secure access "},{"title":"Configuring the SSH Firewall Rules in Network Policy","url":"r_configuration_2_3.html","description":"Use the following CLI configuration commands to enable or disable the SSH firewall rules. By default, the firewall rules are enabled. clusterscluster_name configuration enable-ssh-firewall-rules { tr"}]},{"title":"Docker Subnet Override Support","url":"g_docker-subnet-override-support_2.html","description":"SMI-6748","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_4.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9.html","description":"Applicable Product (s) or Functional Area cnBNG Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applic"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Revision Details Release First introduced. 2020.02.7.07"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_2.html","description":"By default, Docker uses the subnet range, 172.17.0.0/16 for container networking. If the same subnet range or an IP address from the range is already being used by some other resource in the same clu"},{"title":"Configuring the Docker Subnet Override","url":"r_clusters_configuration_docker-address-pools_command_2.html","description":"This section describes the configuration details for the Docker subnet override feature. Use the following command to configure the Docker subnet override feature. configuration docker-address-pools "}]},{"title":"cluster connect Command Update","url":"g_cluster-connect-cmd-behaviour-change.html","description":"SMI-5714","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_5.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Applicable Product (s) or Functional Area SMI Applicable Platforms Bare Metal, OpenStack, VMware Related Changes in this Release Not Applicable Related Documentation Not Applicable"},{"title":"Revision History","url":"r_revision-history_2.html","description":"Revision Details Release First introduced. 2020.02.2.47 2020.02.7.07"},{"title":"Behavior Change Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10.html","description":"In this release, there is a change in the supported user-privilege level for using the cluster connect CLI command to access the containers in the cluster nodes. Previous Behavior: The cluster connec"}]}]},{"title":"IPSec Support for SMF N4 Interfaces","url":"g_ipsec-support-smf-n4_3.html","description":"SMI-6128","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_6.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_3.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_3.html","description":"Revision Details Release Added support for the following functionality: IPSec Monitoring Configuring IPSec certificates under strongSwan configuration 2023.01.0 First introduced. 2020.02.2.47"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_3.html","description":"This feature introduces strongSwan, a keying daemon, which uses the Internet Key Exchange (IKE) protocols, IKEv1 and IKEv2, to establish security associations (SA) between two peers in a network. Suc"},{"title":"Installing strongSwan","url":"r_setup_3.html","description":"This section describes how to install the strongSwan feature. Install strongSwan as an Add-on from the CM Use the following steps to install strongSwan as an add-on from the CM Ops-Center: Use the fo"}]},{"title":"Push KPIs to S3 Using Thanos","url":"g_push-kpis-to-s3_2.html","description":"SMI-6013","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_7.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"Revision Details Release First introduced. 2020.02.2.47"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_2.html","description":"In this feature, the CEE provides you the option to backup the local data stored in Prometheus to a remote storage object, for example, Amazon Web Services (AWS) S3, by using Thanos. This feature pro"},{"title":"How it Works","url":"r_setup_2_3_2.html","description":"Thanos with Sidecar This section describes how to configure the Sidecar deployment with AWS S3. Prerequisites S3 bucket in AWS For more information about how to create an AWS S3 bucket, refer to the "}]},{"title":"virsh console Command Update","url":"g_virsh-console-cmd-update.html","description":"SMI-6765","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_8.html","children":[{"title":"Summary Data","url":"r_feature_summary_2.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10.html","description":"Revision Details Release First introduced. 2020.02.2.47"}]},{"title":"Behavior Change Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43_44_45_46_47.html","description":"In this release, there is change in the CLI configuration command used for connecting to the UPF node through a KVM console post synchronization while installing a KVM and User Plane VM.Previous Comm"}]},{"title":"Alert for Standby Cluster Manager Failure","url":"g_standby-cm-failure-alert.html","description":"SMI-5676","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_9.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33_34_35_36_37_38_39_40_41_42_43.html","description":"Revision Details Release First introduced. 2020.02.2.41"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29.html","description":"In this release, new alert backup-node-down is added to the cndp-ha rules group to notify the user of any standby or secondary cluster manager failures. During a secondary cluster manager failure, th"},{"title":"Configuring the Alert for Standby Cluster Manager Failure","url":"r_configuration_2.html","description":"Use the following CLI commands or configuration in the CEE Ops Center to enable or disable the DRBD monitoring feature: config cm monitoring { true | false }"}]},{"title":"Ubuntu User Password Expiration Configuration Enhancement","url":"g_ubuntu-usr-pwd-expiry-conf.html","description":"SMI-5700","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_10_1.html"},{"title":"Summary Data","url":"r_feature_summary_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_revision-history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Revision Details Release First introduced. 2020.02.2.41"},{"title":"Feature Description","url":"r_feature-description.html","description":"In this release, the Cluster Sync operation updates the value of the password expiration days for the default user. The default user password expiration alert is enabled to monitor the password expir"}]},{"title":"Unified RMA Procedure for Planned and Failure Events on Bare Metal","url":"g_cndp-unified-rma-procedure.html","description":"SMI-5705","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_11.html","children":[{"title":"Summary Data","url":"r_feature_summary_2_3_4_5.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Appl"},{"title":"Revision History","url":"r_revision-history_2_3_4_5.html","description":"Revision Details Release First introduced. 2020.02.2.41"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20_21_22_23_24_25_26_27_28_29_30_31_32_33.html","description":"In this release, the RMA (Return Merchandise Authorization) procedure for planned maintenance and any unplanned node failure events is unified for the SMI Bare Metal stacked cluster. The same procedu"}]},{"title":"Alert for KVM Node Unreachable","url":"r_alert-kvm-node-unreachable.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_12.html","children":[{"title":"Summary Data","url":"r_summarydata-alert-kvm-node.html","description":"Summary Data Applicable Product(s) or Functional Area SMI Alerts Applicable Platforms Bare Metal Default Setting Enabled\u2014Always On Related Changes in this Release Not Applicable Related Documentation"},{"title":"Revision History","url":"r_revision-history-alert-kvm-node.html","description":"Revision HistoryRevision DetailsRelease First introduced Note: This feature has not been fully qualified for this release. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-alert-kvm-node.html","description":"The following new alert has been added to the Node Network rules group to indicate when a KVM node is unreachable:Alert: kvm-node-not-readyAnnotations: Type: Communications Alarm Summary: KVM node {{"}]},{"title":"CDL Data Slicing","url":"r_cdl-data-slicing.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_13.html","children":[{"title":"Summary Data","url":"r_summarydata-cdl-data-slicing.html","description":"Summary Data Applicable Product(s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Disabled\u2014Configuration Required Relat"},{"title":"Revision History","url":"r_revision-history-cdl-data-slicing.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-cdl-data-slicing.html","description":"Data slicing logically separates CDL as slices and stores the session data based on the slice name received from the Network Functions (NF). With data slicing, one or more NFs can store different typ"}]},{"title":"CDL Overload Protection Enhancement","url":"r_cdl-overload-protection-enhancement.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_14.html","children":[{"title":"Summary Data","url":"r_summarydata-support-cdl-overload-protection-enhancement.html","description":"Summary Data Applicable Product(s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Disabled\u2014Configuration Required Relat"},{"title":"Revision History","url":"r_revision-history-cdl-overload-protection-enhancement.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-cdl-overload-protection-enhancement.html","description":"With this release, the existing CDL overload protection configuration is replaced with a new configuration. In the previous release (Oct 2020/Jan 2021), the overload protection was enabled by default"}]},{"title":"CLI Support for UPF IFTASK Forwarder Type","url":"r_cli-support-for-upf-iftask-forwarder-type.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_15.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history1111111.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_cli-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description1111111.html","description":"In past releases, SMI provided support for the Vector Packet Processing (VPP) data plane development kit (DPDK) forwarder for use with StarOS-based applications such as the 5G User Plane Function. SM"}]},{"title":"Cluster Manager Now Uses Internal Network for HA Communications","url":"r_cluster-manager-internal-network-ha-communications.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_16.html","children":[{"title":"Summary Data","url":"r_summarydata-cluster-manager-internal-network-hacom.html","description":"Summary Data Applicable Product(s) or Functional Area Cluster Manager deployment Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Disabled\u2014Configuration Required Related Changes in "},{"title":"Revision History","url":"r_revision-history-cm-in-ha-com.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-cm-in-ha-com.html","description":"Cluster Manager (CM) high-availability (HA) is provided through keepalived and Distributed Replicated Block Device (DRBD). Prior SMI releases used the externally routable ssh-ip address to configure "}]},{"title":"Configurable Option to Control Ping Properties","url":"r_configurable-option-to-control-ping-properties.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_17.html","children":[{"title":"Summary Data","url":"r_summarydata-config-control-ping-prop.html","description":"Summary Data Applicable Product(s) or Functional Area KVM-based application monitoring Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Disabled\u2014Configuration Required Related Chang"},{"title":"Revision History","url":"r_revision-history-config-control-ping-prop.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-config-control-ping-prop.html","description":"SMI monitors applications such as the UPF that are deployed in KVM-based clusters. Monitoring, in part, is performed through pings sent at regular intervals to verify that the applications are alive."}]},{"title":"Deleting Stale CDL Slot Data","url":"r_deleting-stale-cdl-slot-data.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_18.html","children":[{"title":"Summary Data","url":"r_summarydata-deleting-stale-cdl-slot-data.html","description":"Summary Data Applicable Product(s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Disabled\u2014Configuration Required Relat"},{"title":"Revision History","url":"r_revision-history-deleting-stale-cdl-slot-data.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-deleting-stale-cdl-slot-data.html","description":"In certain scenarios, the CDL records are found on Slot but not in the index pods. The notifications from Slot towards the application for such records do not receive the values correctly. The record"}]},{"title":"Dual Stack Support","url":"r_dual-stack-support.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_19.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history1.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_dual-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description1.html","description":"Dual stack enables networking devices to be configured with both IPv4 and IPv6 addresses. By setting the ipv6-mode to dual-stack, you can configure the Kubernetes and CM HA with IPv6 address. For mor"}]},{"title":"Emulator Pinning","url":"r_emulator-pinning.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_20.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history111.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Re"},{"title":"Revision History","url":"r_emulator-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description111.html","description":"SMI provides capability to set the emulator pinning during the VM CPU allocation. For more information, refer to the UCC SMI Operations Guide UCC SMI Operations Guide \u2013SMI Cluster Manager Operations "}]},{"title":"GR Failover Notifications","url":"r_gr-failover-notifications.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_21.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history1111.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_gr-failure-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description1111.html","description":"The CDL is equipped with Geo Replication (GR) failover notifications, which can notify the timer expiry of session data and bulk notifications to the currently active site. For information, refer to "}]},{"title":"Hostname and URL Path-Based Routing for Ingress","url":"r_hostname-and-url-path-based-routing-for-Ingress.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_22.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related"},{"title":"Revision History","url":"r_hostname-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description_2_3_4_5_6_7_8.html","description":"SMI now supports configuring the ingress traffic with Fully Qualified Domain Names (FQDN) and Path-based URL routing to connect to an ops-center. The different ingresses are accessible through subdom"}]},{"title":"Increased NotReady Detection Sensitivity for K8s Nodes","url":"r_increased-notready-detection-sensitivity-k8s-nodes.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_23.html","children":[{"title":"Summary Data","url":"r_summarydata-increased-notready-detection-sensitivity-k8s-nodes.html","description":"Summary Data Applicable Product(s) or Functional Area SMI Alerts Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Enabled\u2014Always On Related Changes in this Release Not Applicable Re"},{"title":"Revision History","url":"r_revision-history-increased-notready-detection-sensitivity-k8s-nodes.html","description":"Revision HistoryRevision DetailsRelease First introduced Note: This feature has not been fully qualified for this release. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-increased-notready-detection-sensitivity-k8s-nodes.html","description":"In previous SMI releases, the k8s-node-not-ready alert was triggered when a K8s node remains in the NotReady state for five minutes. With this release, the k8s-node-not-ready alert triggers when a K8"}]},{"title":"Kubernetes 1.20.0 Upgrade","url":"r_kubernetes-1200-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_24.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history111111.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Enabled \u2013 Always-on Related Changes in th"},{"title":"Revision History","url":"r_kuber-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description111111.html","description":"With this release, the Kubernetes is upgraded from 1.19.0 to 1.20.0. For more information, refer to the SMI Operations Guide."}]},{"title":"Node Failure Notifications During RMA","url":"r_node-failure-notifications-during-rma.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_25.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history11.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal Feature Default Setting Enabled \u2013 Always On Related Changes in this Release Not Appl"},{"title":"Revision History","url":"r_node-failure-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description11.html","description":"The SMI Cluster RMA procedure is enhanced to provide notifications to the NSO. A notification is sent to the NSO, when a node becomes unresponsive due to unplanned node(s) outage and requires it to b"}]},{"title":"Silence \u0027Always On\u0027 vm-alive Alerts","url":"r_silence-always-on-vm-alive-alerts.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_26.html","children":[{"title":"Summary Data","url":"r_summarydata-support-silence-vm-alive-alerts.html","description":"Summary Data Applicable Product(s) or Functional Area SMI Alerts Applicable Platforms Bare Metal Default Setting Enabled\u2014Always On Related Changes in this Release Not Applicable Related Documentation"},{"title":"Revision History","url":"r_revision-history-silence-always-on-vm-alive-alerts.html","description":"Revision HistoryRevision DetailsRelease First introduced Note: This feature has not been fully qualified for this release. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-silence-alwayson-vm-alive-alerts.html","description":"In previous SMI releases, the system would monitor for VM liveliness every five seconds and trigger corresponding vm-alive alerts. In this release, VM liveliness is still monitored every five seconds"}]},{"title":"Smart Agent Upgrade","url":"r_smart-agent-upgrade.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_27.html","children":[{"title":"Summary Data","url":"r_summarydata-smart-agent-upgrade.html","description":"Summary Data Applicable Product(s) or Functional Area Smart Licensing Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Enabled\u2014Always On Related Changes in this Release Not Applicab"},{"title":"Revision History","url":"r_revision-history-smart-agent-upgrade.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-smart-agent-upgrade.html","description":"The Smart Agent is a software component within the Smart Licensing capability supported on SMI. It functions in the smart-agent-cee-global-ops-center pod. With this release, the Smart Agent has been "}]},{"title":"Support VM Status Alerts on CNDP","url":"r_support-vm-status-alerts-cndp.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_28.html","children":[{"title":"Summary Data","url":"r_summarydata-support-vmstatus-alerts-cndp.html","description":"Summary Data Applicable Product(s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal Default Setting Enabled\u2014Always On Related Changes in this Release Not Ap"},{"title":"Revision History","url":"r_revision-history-vm-status-alerts-cndp.html","description":"Revision HistoryRevision DetailsRelease First introduced Note: This feature has not been fully qualified for this release. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-vm-status-alerts-cndp.html","description":"The NSO needs to know the state of the NF (Network Function) that has been deployed and notifications for the following states: DEPLOYED ALIVE UNDEPLOYED ERROR RECOVERING RECOVERY_FAILED The SMI supp","children":[{"title":"Cluster Manager Notification","url":"r_feature-desc-vm-status-alerts-cndp-cm-notification.html","description":"The Cluster Manager sends vm-state-notification for the UNDEPLOYED VM state."},{"title":"CEE Ops-Center Notification","url":"r_feature-desc-vm-status-alerts-cndp-cee-ops-notification.html","description":"The CEE Ops-Center alert-notification sends the following alerts for different VM states: vm-deployed: minor - DEPLOYED vm-alive: minor \u2013 ALIVE (alert lasts for a short time and disappears automatica"}]}]},{"title":"tac-debug-pkg CLI Enhancements","url":"r_tac-debug-pkg-cli-enhancements.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_29.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history11111111.html","description":"Applicable Product (s) or Functional Area CEE Debugging Applicable Platforms Bare Metal, OpenStack, VMware Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release No"},{"title":"Revision History","url":"r_tac-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description11111111.html","description":"The CLI syntax for the tac-debug-pkg has been enhanced to improve ease of use. Previously, the command syntax required a user to specify a time period by entering from and to criteria. The tac-debug-"}]},{"title":"User Role APIs","url":"r_user-role-apis.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_30.html","children":[{"title":"Summary Data","url":"r_summarydata-user-role-apis.html","description":"Summary Data Applicable Product(s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Disabled\u2014Configuration Required Relat"},{"title":"Revision History","url":"r_revision-history-user-role-apis.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-user-role-apis.html","description":"SMI is equipped to provide the following functionalities using the REST APIs: List all the SMI users List all the SMI groups Add a new User Delete a User Assign User to a Group Unassign User from a G"}]},{"title":"VIP Config Enhancements","url":"r_vip-config-enhancements.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_31.html","children":[{"title":"Summary Data","url":"r_summarydata-vip-config-enhancements.html","description":"Summary Data Applicable Product(s) or Functional Area Cluster Deployer configuration validation Applicable Platforms Bare Metal, OpenStack, VMware Default Setting Enabled\u2014Always On Related Changes in"},{"title":"Revision History","url":"r_revision-history-vip-config-enhancements.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-desc-vip-config-enhancements.html","description":"Multiple virtual IP (VIP) groups can be configured for use by the applications being deployed in the K8s cluster.SMI\u2019s cluster deployer logic has been enhanced to check if any IPv4 or IPv6 VIP addres"}]},{"title":"VPP CPU Worker Count","url":"r_vpp-cpu-worker-count.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature-summary-revision-history_2_3_4_5_6_7_8_9_32.html","children":[{"title":"Summary Data","url":"r_feature_summary_and_revision_history11111.html","description":"Applicable Product (s) or Functional Area KVM-based application deployment support Applicable Platforms Bare Metal Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Re"},{"title":"Revision History","url":"r_vpp-cpu-revision-history.html","description":"Revision Details Release First introduced. 2020.02.2.19"}]},{"title":"Feature Description","url":"r_feature-description11111.html","description":"The SR-IOV or PCI_PT provides ability to configure number of NIC Rx & Tx queues per VF. A maximum of 16 Rx and Tx queues can be configured per VF in SR-IOV. For more information, refer to the UCC SMI"}]}]}]}]